Subversion Repositories Scribus

Compare Revisions

Ignore whitespace Rev 597 → Rev 598

/branches/Version13x/Scribus/admin/Doxyfile.global
0,0 → 1,1132
# Doxyfile 1.3.6
 
# This file describes the settings to be used by the documentation system
# doxygen (www.doxygen.org) for a project
#
# All text after a hash (#) is considered a comment and will be ignored
# The format is:
# TAG = value [value, ...]
# For lists items can also be appended using:
# TAG += value [value, ...]
# Values that contain spaces should be placed between quotes (" ")
 
#---------------------------------------------------------------------------
# Project related configuration options
#---------------------------------------------------------------------------
 
# The PROJECT_NAME tag is a single word (or a sequence of words surrounded
# by quotes) that should identify the project.
 
PROJECT_NAME =
 
# The PROJECT_NUMBER tag can be used to enter a project or revision number.
# This could be handy for archiving the generated documentation or
# if some version control system is used.
 
PROJECT_NUMBER =
 
# The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute)
# base path where the generated documentation will be put.
# If a relative path is entered, it will be relative to the location
# where doxygen was started. If left blank the current directory will be used.
 
OUTPUT_DIRECTORY = ../apidocs/
 
# The OUTPUT_LANGUAGE tag is used to specify the language in which all
# documentation generated by doxygen is written. Doxygen will use this
# information to generate all constant output in the proper language.
# The default language is English, other supported languages are:
# Brazilian, Catalan, Chinese, Chinese-Traditional, Croatian, Czech, Danish, Dutch,
# Finnish, French, German, Greek, Hungarian, Italian, Japanese, Japanese-en
# (Japanese with English messages), Korean, Korean-en, Norwegian, Polish, Portuguese,
# Romanian, Russian, Serbian, Slovak, Slovene, Spanish, Swedish, and Ukrainian.
 
OUTPUT_LANGUAGE = English
 
# This tag can be used to specify the encoding used in the generated output.
# The encoding is not always determined by the language that is chosen,
# but also whether or not the output is meant for Windows or non-Windows users.
# In case there is a difference, setting the USE_WINDOWS_ENCODING tag to YES
# forces the Windows encoding (this is the default for the Windows binary),
# whereas setting the tag to NO uses a Unix-style encoding (the default for
# all platforms other than Windows).
 
USE_WINDOWS_ENCODING = NO
 
# If the BRIEF_MEMBER_DESC tag is set to YES (the default) Doxygen will
# include brief member descriptions after the members that are listed in
# the file and class documentation (similar to JavaDoc).
# Set to NO to disable this.
 
BRIEF_MEMBER_DESC = NO
 
# If the REPEAT_BRIEF tag is set to YES (the default) Doxygen will prepend
# the brief description of a member or function before the detailed description.
# Note: if both HIDE_UNDOC_MEMBERS and BRIEF_MEMBER_DESC are set to NO, the
# brief descriptions will be completely suppressed.
 
REPEAT_BRIEF = YES
 
# This tag implements a quasi-intelligent brief description abbreviator
# that is used to form the text in various listings. Each string
# in this list, if found as the leading text of the brief description, will be
# stripped from the text and the result after processing the whole list, is used
# as the annotated text. Otherwise, the brief description is used as-is. If left
# blank, the following values are used ("$name" is automatically replaced with the
# name of the entity): "The $name class" "The $name widget" "The $name file"
# "is" "provides" "specifies" "contains" "represents" "a" "an" "the"
 
ABBREVIATE_BRIEF =
 
# If the ALWAYS_DETAILED_SEC and REPEAT_BRIEF tags are both set to YES then
# Doxygen will generate a detailed section even if there is only a brief
# description.
 
ALWAYS_DETAILED_SEC = YES
 
# If the INLINE_INHERITED_MEMB tag is set to YES, doxygen will show all inherited
# members of a class in the documentation of that class as if those members were
# ordinary class members. Constructors, destructors and assignment operators of
# the base classes will not be shown.
 
INLINE_INHERITED_MEMB = NO
 
# If the FULL_PATH_NAMES tag is set to YES then Doxygen will prepend the full
# path before files name in the file list and in the header files. If set
# to NO the shortest path that makes the file name unique will be used.
 
FULL_PATH_NAMES = NO
 
# If the FULL_PATH_NAMES tag is set to YES then the STRIP_FROM_PATH tag
# can be used to strip a user-defined part of the path. Stripping is
# only done if one of the specified strings matches the left-hand part of
# the path. It is allowed to use relative paths in the argument list.
# If left blank the directory from which doxygen is run is used as the
# path to strip.
 
STRIP_FROM_PATH =
 
# If the SHORT_NAMES tag is set to YES, doxygen will generate much shorter
# (but less readable) file names. This can be useful is your file systems
# doesn't support long names like on DOS, Mac, or CD-ROM.
 
SHORT_NAMES = NO
 
# If the JAVADOC_AUTOBRIEF tag is set to YES then Doxygen
# will interpret the first line (until the first dot) of a JavaDoc-style
# comment as the brief description. If set to NO, the JavaDoc
# comments will behave just like the Qt-style comments (thus requiring an
# explicit @brief command for a brief description.
 
JAVADOC_AUTOBRIEF = YES
 
# The MULTILINE_CPP_IS_BRIEF tag can be set to YES to make Doxygen
# treat a multi-line C++ special comment block (i.e. a block of //! or ///
# comments) as a brief description. This used to be the default behaviour.
# The new default is to treat a multi-line C++ comment block as a detailed
# description. Set this tag to YES if you prefer the old behaviour instead.
 
MULTILINE_CPP_IS_BRIEF = NO
 
# If the DETAILS_AT_TOP tag is set to YES then Doxygen
# will output the detailed description near the top, like JavaDoc.
# If set to NO, the detailed description appears after the member
# documentation.
 
DETAILS_AT_TOP = NO
 
# If the INHERIT_DOCS tag is set to YES (the default) then an undocumented
# member inherits the documentation from any documented member that it
# re-implements.
 
INHERIT_DOCS = YES
 
# If member grouping is used in the documentation and the DISTRIBUTE_GROUP_DOC
# tag is set to YES, then doxygen will reuse the documentation of the first
# member in the group (if any) for the other members of the group. By default
# all members of a group must be documented explicitly.
 
DISTRIBUTE_GROUP_DOC = NO
 
# The TAB_SIZE tag can be used to set the number of spaces in a tab.
# Doxygen uses this value to replace tabs by spaces in code fragments.
 
TAB_SIZE = 4
 
# This tag can be used to specify a number of aliases that acts
# as commands in the documentation. An alias has the form "name=value".
# For example adding "sideeffect=\par Side Effects:\n" will allow you to
# put the command \sideeffect (or @sideeffect) in the documentation, which
# will result in a user-defined paragraph with heading "Side Effects:".
# You can put \n's in the value part of an alias to insert newlines.
 
ALIASES = obsolete=@deprecated
 
# Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C sources
# only. Doxygen will then generate output that is more tailored for C.
# For instance, some of the names that are used will be different. The list
# of all members will be omitted, etc.
 
OPTIMIZE_OUTPUT_FOR_C = NO
 
# Set the OPTIMIZE_OUTPUT_JAVA tag to YES if your project consists of Java sources
# only. Doxygen will then generate output that is more tailored for Java.
# For instance, namespaces will be presented as packages, qualified scopes
# will look different, etc.
 
OPTIMIZE_OUTPUT_JAVA = NO
 
# Set the SUBGROUPING tag to YES (the default) to allow class member groups of
# the same type (for instance a group of public functions) to be put as a
# subgroup of that type (e.g. under the Public Functions section). Set it to
# NO to prevent subgrouping. Alternatively, this can be done per class using
# the \nosubgrouping command.
 
SUBGROUPING = YES
 
#---------------------------------------------------------------------------
# Build related configuration options
#---------------------------------------------------------------------------
 
# If the EXTRACT_ALL tag is set to YES doxygen will assume all entities in
# documentation are documented, even if no documentation was available.
# Private class members and static file members will be hidden unless
# the EXTRACT_PRIVATE and EXTRACT_STATIC tags are set to YES
 
EXTRACT_ALL = NO
 
# If the EXTRACT_PRIVATE tag is set to YES all private members of a class
# will be included in the documentation.
 
EXTRACT_PRIVATE = NO
 
# If the EXTRACT_STATIC tag is set to YES all static members of a file
# will be included in the documentation.
 
EXTRACT_STATIC = YES
 
# If the EXTRACT_LOCAL_CLASSES tag is set to YES classes (and structs)
# defined locally in source files will be included in the documentation.
# If set to NO only classes defined in header files are included.
 
EXTRACT_LOCAL_CLASSES = NO
 
# If the HIDE_UNDOC_MEMBERS tag is set to YES, Doxygen will hide all
# undocumented members of documented classes, files or namespaces.
# If set to NO (the default) these members will be included in the
# various overviews, but no documentation section is generated.
# This option has no effect if EXTRACT_ALL is enabled.
 
HIDE_UNDOC_MEMBERS = NO
 
# If the HIDE_UNDOC_CLASSES tag is set to YES, Doxygen will hide all
# undocumented classes that are normally visible in the class hierarchy.
# If set to NO (the default) these classes will be included in the various
# overviews. This option has no effect if EXTRACT_ALL is enabled.
 
HIDE_UNDOC_CLASSES = YES
 
# If the HIDE_FRIEND_COMPOUNDS tag is set to YES, Doxygen will hide all
# friend (class|struct|union) declarations.
# If set to NO (the default) these declarations will be included in the
# documentation.
 
HIDE_FRIEND_COMPOUNDS = NO
 
# If the HIDE_IN_BODY_DOCS tag is set to YES, Doxygen will hide any
# documentation blocks found inside the body of a function.
# If set to NO (the default) these blocks will be appended to the
# function's detailed documentation block.
 
HIDE_IN_BODY_DOCS = NO
 
# The INTERNAL_DOCS tag determines if documentation
# that is typed after a \internal command is included. If the tag is set
# to NO (the default) then the documentation will be excluded.
# Set it to YES to include the internal documentation.
 
INTERNAL_DOCS = NO
 
# If the CASE_SENSE_NAMES tag is set to NO then Doxygen will only generate
# file names in lower-case letters. If set to YES upper-case letters are also
# allowed. This is useful if you have classes or files whose names only differ
# in case and if your file system supports case sensitive file names. Windows
# users are advised to set this option to NO.
 
CASE_SENSE_NAMES = YES
 
# If the HIDE_SCOPE_NAMES tag is set to NO (the default) then Doxygen
# will show members with their full class and namespace scopes in the
# documentation. If set to YES the scope will be hidden.
 
HIDE_SCOPE_NAMES = NO
 
# If the SHOW_INCLUDE_FILES tag is set to YES (the default) then Doxygen
# will put a list of the files that are included by a file in the documentation
# of that file.
 
SHOW_INCLUDE_FILES = YES
 
# If the INLINE_INFO tag is set to YES (the default) then a tag [inline]
# is inserted in the documentation for inline members.
 
INLINE_INFO = YES
 
# If the SORT_MEMBER_DOCS tag is set to YES (the default) then doxygen
# will sort the (detailed) documentation of file and class members
# alphabetically by member name. If set to NO the members will appear in
# declaration order.
 
SORT_MEMBER_DOCS = NO
 
# If the SORT_BRIEF_DOCS tag is set to YES then doxygen will sort the
# brief documentation of file, namespace and class members alphabetically
# by member name. If set to NO (the default) the members will appear in
# declaration order.
 
SORT_BRIEF_DOCS = NO
 
# If the SORT_BY_SCOPE_NAME tag is set to YES, the class list will be
# sorted by fully-qualified names, including namespaces. If set to
# NO (the default), the class list will be sorted only by class name,
# not including the namespace part.
# Note: This option is not very useful if HIDE_SCOPE_NAMES is set to YES.
# Note: This option applies only to the class list, not to the
# alphabetical list.
 
SORT_BY_SCOPE_NAME = NO
 
# The GENERATE_TODOLIST tag can be used to enable (YES) or
# disable (NO) the todo list. This list is created by putting \todo
# commands in the documentation.
 
GENERATE_TODOLIST = NO
 
# The GENERATE_TESTLIST tag can be used to enable (YES) or
# disable (NO) the test list. This list is created by putting \test
# commands in the documentation.
 
GENERATE_TESTLIST = NO
 
# The GENERATE_BUGLIST tag can be used to enable (YES) or
# disable (NO) the bug list. This list is created by putting \bug
# commands in the documentation.
 
GENERATE_BUGLIST = YES
 
# The GENERATE_DEPRECATEDLIST tag can be used to enable (YES) or
# disable (NO) the deprecated list. This list is created by putting
# \deprecated commands in the documentation.
 
GENERATE_DEPRECATEDLIST= YES
 
# The ENABLED_SECTIONS tag can be used to enable conditional
# documentation sections, marked by \if sectionname ... \endif.
 
ENABLED_SECTIONS =
 
# The MAX_INITIALIZER_LINES tag determines the maximum number of lines
# the initial value of a variable or define consists of for it to appear in
# the documentation. If the initializer consists of more lines than specified
# here it will be hidden. Use a value of 0 to hide initializers completely.
# The appearance of the initializer of individual variables and defines in the
# documentation can be controlled using \showinitializer or \hideinitializer
# command in the documentation regardless of this setting.
 
MAX_INITIALIZER_LINES = 30
 
# Set the SHOW_USED_FILES tag to NO to disable the list of files generated
# at the bottom of the documentation of classes and structs. If set to YES the
# list will mention the files that were used to generate the documentation.
 
SHOW_USED_FILES = YES
 
#---------------------------------------------------------------------------
# configuration options related to warning and progress messages
#---------------------------------------------------------------------------
 
# The QUIET tag can be used to turn on/off the messages that are generated
# by doxygen. Possible values are YES and NO. If left blank NO is used.
 
QUIET = YES
 
# The WARNINGS tag can be used to turn on/off the warning messages that are
# generated by doxygen. Possible values are YES and NO. If left blank
# NO is used.
 
WARNINGS = NO
 
# If WARN_IF_UNDOCUMENTED is set to YES, then doxygen will generate warnings
# for undocumented members. If EXTRACT_ALL is set to YES then this flag will
# automatically be disabled.
 
WARN_IF_UNDOCUMENTED = NO
 
# If WARN_IF_DOC_ERROR is set to YES, doxygen will generate warnings for
# potential errors in the documentation, such as not documenting some
# parameters in a documented function, or documenting parameters that
# don't exist or using markup commands wrongly.
 
WARN_IF_DOC_ERROR = YES
 
# The WARN_FORMAT tag determines the format of the warning messages that
# doxygen can produce. The string should contain the $file, $line, and $text
# tags, which will be replaced by the file and line number from which the
# warning originated and the warning text.
 
WARN_FORMAT =
 
# The WARN_LOGFILE tag can be used to specify a file to which warning
# and error messages should be written. If left blank the output is written
# to stderr.
 
WARN_LOGFILE =
 
#---------------------------------------------------------------------------
# configuration options related to the input files
#---------------------------------------------------------------------------
 
# The INPUT tag can be used to specify the files and/or directories that contain
# documented source files. You may enter file names like "myfile.cpp" or
# directories like "/usr/src/myproject". Separate the files or directories
# with spaces.
 
INPUT =
 
# If the value of the INPUT tag contains directories, you can use the
# FILE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp
# and *.h) to filter out the source-files in the directories. If left
# blank the following patterns are tested:
# *.c *.cc *.cxx *.cpp *.c++ *.java *.ii *.ixx *.ipp *.i++ *.inl *.h *.hh *.hxx *.hpp
# *.h++ *.idl *.odl *.cs *.php *.php3 *.inc
 
FILE_PATTERNS = *.h \
*.cpp \
*.cc \
*.hpp \
*.dox \
*.c++ \
*.cxx \
*.h++ \
*.hh
 
# The RECURSIVE tag can be used to turn specify whether or not subdirectories
# should be searched for input files as well. Possible values are YES and NO.
# If left blank NO is used.
 
RECURSIVE = YES
 
# The EXCLUDE tag can be used to specify files and/or directories that should
# excluded from the INPUT source files. This way you can easily exclude a
# subdirectory from a directory tree whose root is specified with the INPUT tag.
 
EXCLUDE =
 
# The EXCLUDE_SYMLINKS tag can be used select whether or not files or directories
# that are symbolic links (a Unix filesystem feature) are excluded from the input.
 
EXCLUDE_SYMLINKS = NO
 
# If the value of the INPUT tag contains directories, you can use the
# EXCLUDE_PATTERNS tag to specify one or more wildcard patterns to exclude
# certain files from those directories.
 
EXCLUDE_PATTERNS = *.moc.* \
moc* \
*.all_cpp.* \
*unload.* \
*/test/* \
*/tests/*
 
# The EXAMPLE_PATH tag can be used to specify one or more files or
# directories that contain example code fragments that are included (see
# the \include command).
 
EXAMPLE_PATH =
 
# If the value of the EXAMPLE_PATH tag contains directories, you can use the
# EXAMPLE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp
# and *.h) to filter out the source-files in the directories. If left
# blank all files are included.
 
EXAMPLE_PATTERNS =
 
# If the EXAMPLE_RECURSIVE tag is set to YES then subdirectories will be
# searched for input files to be used with the \include or \dontinclude
# commands irrespective of the value of the RECURSIVE tag.
# Possible values are YES and NO. If left blank NO is used.
 
EXAMPLE_RECURSIVE = NO
 
# The IMAGE_PATH tag can be used to specify one or more files or
# directories that contain image that are included in the documentation (see
# the \image command).
 
IMAGE_PATH =
 
# The INPUT_FILTER tag can be used to specify a program that doxygen should
# invoke to filter for each input file. Doxygen will invoke the filter program
# by executing (via popen()) the command <filter> <input-file>, where <filter>
# is the value of the INPUT_FILTER tag, and <input-file> is the name of an
# input file. Doxygen will then use the output that the filter program writes
# to standard output.
 
INPUT_FILTER =
 
# If the FILTER_SOURCE_FILES tag is set to YES, the input filter (if set using
# INPUT_FILTER) will be used to filter the input files when producing source
# files to browse (i.e. when SOURCE_BROWSER is set to YES).
 
FILTER_SOURCE_FILES = NO
 
#---------------------------------------------------------------------------
# configuration options related to source browsing
#---------------------------------------------------------------------------
 
# If the SOURCE_BROWSER tag is set to YES then a list of source files will
# be generated. Documented entities will be cross-referenced with these sources.
# Note: To get rid of all source code in the generated output, make sure also
# VERBATIM_HEADERS is set to NO.
 
SOURCE_BROWSER = YES
 
# Setting the INLINE_SOURCES tag to YES will include the body
# of functions and classes directly in the documentation.
 
INLINE_SOURCES = NO
 
# Setting the STRIP_CODE_COMMENTS tag to YES (the default) will instruct
# doxygen to hide any special comment blocks from generated source code
# fragments. Normal C and C++ comments will always remain visible.
 
STRIP_CODE_COMMENTS = YES
 
# If the REFERENCED_BY_RELATION tag is set to YES (the default)
# then for each documented function all documented
# functions referencing it will be listed.
 
REFERENCED_BY_RELATION = YES
 
# If the REFERENCES_RELATION tag is set to YES (the default)
# then for each documented function all documented entities
# called/used by that function will be listed.
 
REFERENCES_RELATION = YES
 
# If the VERBATIM_HEADERS tag is set to YES (the default) then Doxygen
# will generate a verbatim copy of the header file for each class for
# which an include is specified. Set to NO to disable this.
 
VERBATIM_HEADERS = YES
 
#---------------------------------------------------------------------------
# configuration options related to the alphabetical class index
#---------------------------------------------------------------------------
 
# If the ALPHABETICAL_INDEX tag is set to YES, an alphabetical index
# of all compounds will be generated. Enable this if the project
# contains a lot of classes, structs, unions or interfaces.
 
ALPHABETICAL_INDEX = YES
 
# If the alphabetical index is enabled (see ALPHABETICAL_INDEX) then
# the COLS_IN_ALPHA_INDEX tag can be used to specify the number of columns
# in which this list will be split (can be a number in the range [1..20])
 
COLS_IN_ALPHA_INDEX = 3
 
# In case all classes in a project start with a common prefix, all
# classes will be put under the same header in the alphabetical index.
# The IGNORE_PREFIX tag can be used to specify one or more prefixes that
# should be ignored while generating the index headers.
 
IGNORE_PREFIX = K
 
#---------------------------------------------------------------------------
# configuration options related to the HTML output
#---------------------------------------------------------------------------
 
# If the GENERATE_HTML tag is set to YES (the default) Doxygen will
# generate HTML output.
 
GENERATE_HTML = NO
 
# The HTML_OUTPUT tag is used to specify where the HTML docs will be put.
# If a relative path is entered the value of OUTPUT_DIRECTORY will be
# put in front of it. If left blank `html' will be used as the default path.
 
HTML_OUTPUT =
 
# The HTML_FILE_EXTENSION tag can be used to specify the file extension for
# each generated HTML page (for example: .htm,.php,.asp). If it is left blank
# doxygen will generate files with .html extension.
 
HTML_FILE_EXTENSION = .html
 
# The HTML_HEADER tag can be used to specify a personal HTML header for
# each generated HTML page. If it is left blank doxygen will generate a
# standard header.
 
HTML_HEADER = ../apidocs/common/header.html
 
# The HTML_FOOTER tag can be used to specify a personal HTML footer for
# each generated HTML page. If it is left blank doxygen will generate a
# standard footer.
 
HTML_FOOTER = ../apidocs/common/footer.html
 
# The HTML_STYLESHEET tag can be used to specify a user-defined cascading
# style sheet that is used by each HTML page. It can be used to
# fine-tune the look of the HTML output. If the tag is left blank doxygen
# will generate a default style sheet. Note that doxygen will try to copy
# the style sheet file to the HTML output directory, so don't put your own
# stylesheet in the HTML output directory as well, or it will be erased!
 
HTML_STYLESHEET = ../apidocs/common/doxygen.css
 
# If the HTML_ALIGN_MEMBERS tag is set to YES, the members of classes,
# files or namespaces will be aligned in HTML using tables. If set to
# NO a bullet list will be used.
 
HTML_ALIGN_MEMBERS = YES
 
# If the GENERATE_HTMLHELP tag is set to YES, additional index files
# will be generated that can be used as input for tools like the
# Microsoft HTML help workshop to generate a compressed HTML help file (.chm)
# of the generated HTML documentation.
 
GENERATE_HTMLHELP = NO
 
# If the GENERATE_HTMLHELP tag is set to YES, the CHM_FILE tag can
# be used to specify the file name of the resulting .chm file. You
# can add a path in front of the file if the result should not be
# written to the html output directory.
 
CHM_FILE =
 
# If the GENERATE_HTMLHELP tag is set to YES, the HHC_LOCATION tag can
# be used to specify the location (absolute path including file name) of
# the HTML help compiler (hhc.exe). If non-empty doxygen will try to run
# the HTML help compiler on the generated index.hhp.
 
HHC_LOCATION =
 
# If the GENERATE_HTMLHELP tag is set to YES, the GENERATE_CHI flag
# controls if a separate .chi index file is generated (YES) or that
# it should be included in the master .chm file (NO).
 
GENERATE_CHI = NO
 
# If the GENERATE_HTMLHELP tag is set to YES, the BINARY_TOC flag
# controls whether a binary table of contents is generated (YES) or a
# normal table of contents (NO) in the .chm file.
 
BINARY_TOC = NO
 
# The TOC_EXPAND flag can be set to YES to add extra items for group members
# to the contents of the HTML help documentation and to the tree view.
 
TOC_EXPAND = NO
 
# The DISABLE_INDEX tag can be used to turn on/off the condensed index at
# top of each HTML page. The value NO (the default) enables the index and
# the value YES disables it.
 
DISABLE_INDEX = YES
 
# This tag can be used to set the number of enum values (range [1..20])
# that doxygen will group on one line in the generated HTML documentation.
 
ENUM_VALUES_PER_LINE = 4
 
# If the GENERATE_TREEVIEW tag is set to YES, a side panel will be
# generated containing a tree-like index structure (just like the one that
# is generated for HTML Help). For this to work a browser that supports
# JavaScript, DHTML, CSS and frames is required (for instance Mozilla 1.0+,
# Netscape 6.0+, Internet explorer 5.0+, or Konqueror). Windows users are
# probably better off using the HTML help feature.
 
GENERATE_TREEVIEW = NO
 
# If the treeview is enabled (see GENERATE_TREEVIEW) then this tag can be
# used to set the initial width (in pixels) of the frame in which the tree
# is shown.
 
TREEVIEW_WIDTH = 250
 
#---------------------------------------------------------------------------
# configuration options related to the LaTeX output
#---------------------------------------------------------------------------
 
# If the GENERATE_LATEX tag is set to YES (the default) Doxygen will
# generate Latex output.
 
GENERATE_LATEX = NO
 
# The LATEX_OUTPUT tag is used to specify where the LaTeX docs will be put.
# If a relative path is entered the value of OUTPUT_DIRECTORY will be
# put in front of it. If left blank `latex' will be used as the default path.
 
LATEX_OUTPUT =
 
# The LATEX_CMD_NAME tag can be used to specify the LaTeX command name to be
# invoked. If left blank `latex' will be used as the default command name.
 
LATEX_CMD_NAME = latex
 
# The MAKEINDEX_CMD_NAME tag can be used to specify the command name to
# generate index for LaTeX. If left blank `makeindex' will be used as the
# default command name.
 
MAKEINDEX_CMD_NAME = makeindex
 
# If the COMPACT_LATEX tag is set to YES Doxygen generates more compact
# LaTeX documents. This may be useful for small projects and may help to
# save some trees in general.
 
COMPACT_LATEX = NO
 
# The PAPER_TYPE tag can be used to set the paper type that is used
# by the printer. Possible values are: a4, a4wide, letter, legal and
# executive. If left blank a4wide will be used.
 
PAPER_TYPE = a4wide
 
# The EXTRA_PACKAGES tag can be to specify one or more names of LaTeX
# packages that should be included in the LaTeX output.
 
EXTRA_PACKAGES =
 
# The LATEX_HEADER tag can be used to specify a personal LaTeX header for
# the generated latex document. The header should contain everything until
# the first chapter. If it is left blank doxygen will generate a
# standard header. Notice: only use this tag if you know what you are doing!
 
LATEX_HEADER =
 
# If the PDF_HYPERLINKS tag is set to YES, the LaTeX that is generated
# is prepared for conversion to pdf (using ps2pdf). The pdf file will
# contain links (just like the HTML output) instead of page references
# This makes the output suitable for online browsing using a pdf viewer.
 
PDF_HYPERLINKS = NO
 
# If the USE_PDFLATEX tag is set to YES, pdflatex will be used instead of
# plain latex in the generated Makefile. Set this option to YES to get a
# higher quality PDF documentation.
 
USE_PDFLATEX = NO
 
# If the LATEX_BATCHMODE tag is set to YES, doxygen will add the \\batchmode.
# command to the generated LaTeX files. This will instruct LaTeX to keep
# running if errors occur, instead of asking the user for help.
# This option is also used when generating formulas in HTML.
 
LATEX_BATCHMODE = NO
 
# If LATEX_HIDE_INDICES is set to YES then doxygen will not
# include the index chapters (such as File Index, Compound Index, etc.)
# in the output.
 
LATEX_HIDE_INDICES = NO
 
#---------------------------------------------------------------------------
# configuration options related to the RTF output
#---------------------------------------------------------------------------
 
# If the GENERATE_RTF tag is set to YES Doxygen will generate RTF output
# The RTF output is optimized for Word 97 and may not look very pretty with
# other RTF readers or editors.
 
GENERATE_RTF = NO
 
# The RTF_OUTPUT tag is used to specify where the RTF docs will be put.
# If a relative path is entered the value of OUTPUT_DIRECTORY will be
# put in front of it. If left blank `rtf' will be used as the default path.
 
RTF_OUTPUT =
 
# If the COMPACT_RTF tag is set to YES Doxygen generates more compact
# RTF documents. This may be useful for small projects and may help to
# save some trees in general.
 
COMPACT_RTF = NO
 
# If the RTF_HYPERLINKS tag is set to YES, the RTF that is generated
# will contain hyperlink fields. The RTF file will
# contain links (just like the HTML output) instead of page references.
# This makes the output suitable for online browsing using WORD or other
# programs which support those fields.
# Note: wordpad (write) and others do not support links.
 
RTF_HYPERLINKS = NO
 
# Load stylesheet definitions from file. Syntax is similar to doxygen's
# config file, i.e. a series of assignments. You only have to provide
# replacements, missing definitions are set to their default value.
 
RTF_STYLESHEET_FILE =
 
# Set optional variables used in the generation of an rtf document.
# Syntax is similar to doxygen's config file.
 
RTF_EXTENSIONS_FILE =
 
#---------------------------------------------------------------------------
# configuration options related to the man page output
#---------------------------------------------------------------------------
 
# If the GENERATE_MAN tag is set to YES (the default) Doxygen will
# generate man pages
 
GENERATE_MAN = NO
 
# The MAN_OUTPUT tag is used to specify where the man pages will be put.
# If a relative path is entered the value of OUTPUT_DIRECTORY will be
# put in front of it. If left blank `man' will be used as the default path.
 
MAN_OUTPUT =
 
# The MAN_EXTENSION tag determines the extension that is added to
# the generated man pages (default is the subroutine's section .3)
 
MAN_EXTENSION = .kde3
 
# If the MAN_LINKS tag is set to YES and Doxygen generates man output,
# then it will generate one additional man file for each entity
# documented in the real man page(s). These additional files
# only source the real man page, but without them the man command
# would be unable to find the correct page. The default is NO.
 
MAN_LINKS = YES
 
#---------------------------------------------------------------------------
# configuration options related to the XML output
#---------------------------------------------------------------------------
 
# If the GENERATE_XML tag is set to YES Doxygen will
# generate an XML file that captures the structure of
# the code including all documentation.
 
GENERATE_XML = NO
 
# The XML_OUTPUT tag is used to specify where the XML pages will be put.
# If a relative path is entered the value of OUTPUT_DIRECTORY will be
# put in front of it. If left blank `xml' will be used as the default path.
 
XML_OUTPUT = xml
 
# The XML_SCHEMA tag can be used to specify an XML schema,
# which can be used by a validating XML parser to check the
# syntax of the XML files.
 
XML_SCHEMA =
 
# The XML_DTD tag can be used to specify an XML DTD,
# which can be used by a validating XML parser to check the
# syntax of the XML files.
 
XML_DTD =
 
# If the XML_PROGRAMLISTING tag is set to YES Doxygen will
# dump the program listings (including syntax highlighting
# and cross-referencing information) to the XML output. Note that
# enabling this will significantly increase the size of the XML output.
 
XML_PROGRAMLISTING = NO
 
#---------------------------------------------------------------------------
# configuration options for the AutoGen Definitions output
#---------------------------------------------------------------------------
 
# If the GENERATE_AUTOGEN_DEF tag is set to YES Doxygen will
# generate an AutoGen Definitions (see autogen.sf.net) file
# that captures the structure of the code including all
# documentation. Note that this feature is still experimental
# and incomplete at the moment.
 
GENERATE_AUTOGEN_DEF = NO
 
#---------------------------------------------------------------------------
# configuration options related to the Perl module output
#---------------------------------------------------------------------------
 
# If the GENERATE_PERLMOD tag is set to YES Doxygen will
# generate a Perl module file that captures the structure of
# the code including all documentation. Note that this
# feature is still experimental and incomplete at the
# moment.
 
GENERATE_PERLMOD = NO
 
# If the PERLMOD_LATEX tag is set to YES Doxygen will generate
# the necessary Makefile rules, Perl scripts and LaTeX code to be able
# to generate PDF and DVI output from the Perl module output.
 
PERLMOD_LATEX = NO
 
# If the PERLMOD_PRETTY tag is set to YES the Perl module output will be
# nicely formatted so it can be parsed by a human reader. This is useful
# if you want to understand what is going on. On the other hand, if this
# tag is set to NO the size of the Perl module output will be much smaller
# and Perl will parse it just the same.
 
PERLMOD_PRETTY = YES
 
# The names of the make variables in the generated doxyrules.make file
# are prefixed with the string contained in PERLMOD_MAKEVAR_PREFIX.
# This is useful so different doxyrules.make files included by the same
# Makefile don't overwrite each other's variables.
 
PERLMOD_MAKEVAR_PREFIX =
 
#---------------------------------------------------------------------------
# Configuration options related to the preprocessor
#---------------------------------------------------------------------------
 
# If the ENABLE_PREPROCESSING tag is set to YES (the default) Doxygen will
# evaluate all C-preprocessor directives found in the sources and include
# files.
 
ENABLE_PREPROCESSING = YES
 
# If the MACRO_EXPANSION tag is set to YES Doxygen will expand all macro
# names in the source code. If set to NO (the default) only conditional
# compilation will be performed. Macro expansion can be done in a controlled
# way by setting EXPAND_ONLY_PREDEF to YES.
 
MACRO_EXPANSION = NO
 
# If the EXPAND_ONLY_PREDEF and MACRO_EXPANSION tags are both set to YES
# then the macro expansion is limited to the macros specified with the
# PREDEFINED and EXPAND_AS_PREDEFINED tags.
 
EXPAND_ONLY_PREDEF = NO
 
# If the SEARCH_INCLUDES tag is set to YES (the default) the includes files
# in the INCLUDE_PATH (see below) will be search if a #include is found.
 
SEARCH_INCLUDES = YES
 
# The INCLUDE_PATH tag can be used to specify one or more directories that
# contain include files that are not input files but should be processed by
# the preprocessor.
 
INCLUDE_PATH =
 
# You can use the INCLUDE_FILE_PATTERNS tag to specify one or more wildcard
# patterns (like *.h and *.hpp) to filter out the header-files in the
# directories. If left blank, the patterns specified with FILE_PATTERNS will
# be used.
 
INCLUDE_FILE_PATTERNS =
 
# The PREDEFINED tag can be used to specify one or more macro names that
# are defined before the preprocessor is started (similar to the -D option of
# gcc). The argument of the tag is a list of macros of the form: name
# or name=definition (no spaces). If the definition and the = are
# omitted =1 is assumed.
 
PREDEFINED = QT_VERSION=320 \
__cplusplus \
Q_WS_X11
 
# If the MACRO_EXPANSION and EXPAND_ONLY_PREDEF tags are set to YES then
# this tag can be used to specify a list of macro names that should be expanded.
# The macro definition that is found in the sources will be used.
# Use the PREDEFINED tag if you want to use a different macro definition.
 
EXPAND_AS_DEFINED =
 
# If the SKIP_FUNCTION_MACROS tag is set to YES (the default) then
# doxygen's preprocessor will remove all function-like macros that are alone
# on a line, have an all uppercase name, and do not end with a semicolon. Such
# function macros are typically used for boiler-plate code, and will confuse the
# parser if not removed.
 
SKIP_FUNCTION_MACROS = YES
 
#---------------------------------------------------------------------------
# Configuration::additions related to external references
#---------------------------------------------------------------------------
 
# The TAGFILES option can be used to specify one or more tagfiles.
# Optionally an initial location of the external documentation
# can be added for each tagfile. The format of a tag file without
# this location is as follows:
# TAGFILES = file1 file2 ...
# Adding location for the tag files is done as follows:
# TAGFILES = file1=loc1 "file2 = loc2" ...
# where "loc1" and "loc2" can be relative or absolute paths or
# URLs. If a location is present for each tag, the installdox tool
# does not have to be run to correct the links.
# Note that each tag file must have a unique name
# (where the name does NOT include the path)
# If a tag file is not located in the directory in which doxygen
# is run, you must also specify the path to the tagfile here.
 
TAGFILES =
 
# When a file name is specified after GENERATE_TAGFILE, doxygen will create
# a tag file that is based on the input files it reads.
 
GENERATE_TAGFILE =
 
# If the ALLEXTERNALS tag is set to YES all external classes will be listed
# in the class index. If set to NO only the inherited external classes
# will be listed.
 
ALLEXTERNALS = NO
 
# If the EXTERNAL_GROUPS tag is set to YES all external groups will be listed
# in the modules index. If set to NO, only the current project's groups will
# be listed.
 
EXTERNAL_GROUPS = NO
 
# The PERL_PATH should be the absolute path and name of the perl script
# interpreter (i.e. the result of `which perl').
 
PERL_PATH =
 
#---------------------------------------------------------------------------
# Configuration options related to the dot tool
#---------------------------------------------------------------------------
 
# If the CLASS_DIAGRAMS tag is set to YES (the default) Doxygen will
# generate a inheritance diagram (in HTML, RTF and LaTeX) for classes with base or
# super classes. Setting the tag to NO turns the diagrams off. Note that this
# option is superseded by the HAVE_DOT option below. This is only a fallback. It is
# recommended to install and use dot, since it yields more powerful graphs.
 
CLASS_DIAGRAMS = YES
 
# If set to YES, the inheritance and collaboration graphs will hide
# inheritance and usage relations if the target is undocumented
# or is not a class.
 
HIDE_UNDOC_RELATIONS = NO
 
# If you set the HAVE_DOT tag to YES then doxygen will assume the dot tool is
# available from the path. This tool is part of Graphviz, a graph visualization
# toolkit from AT&T and Lucent Bell Labs. The other options in this section
# have no effect if this option is set to NO (the default)
 
HAVE_DOT = NO
 
# If the CLASS_GRAPH and HAVE_DOT tags are set to YES then doxygen
# will generate a graph for each documented class showing the direct and
# indirect inheritance relations. Setting this tag to YES will force the
# the CLASS_DIAGRAMS tag to NO.
 
CLASS_GRAPH = YES
 
# If the COLLABORATION_GRAPH and HAVE_DOT tags are set to YES then doxygen
# will generate a graph for each documented class showing the direct and
# indirect implementation dependencies (inheritance, containment, and
# class references variables) of the class with other documented classes.
 
COLLABORATION_GRAPH = YES
 
# If the UML_LOOK tag is set to YES doxygen will generate inheritance and
# collaboration diagrams in a style similar to the OMG's Unified Modeling
# Language.
 
UML_LOOK = NO
 
# If set to YES, the inheritance and collaboration graphs will show the
# relations between templates and their instances.
 
TEMPLATE_RELATIONS = YES
 
# If the ENABLE_PREPROCESSING, SEARCH_INCLUDES, INCLUDE_GRAPH, and HAVE_DOT
# tags are set to YES then doxygen will generate a graph for each documented
# file showing the direct and indirect include dependencies of the file with
# other documented files.
 
INCLUDE_GRAPH = YES
 
# If the ENABLE_PREPROCESSING, SEARCH_INCLUDES, INCLUDED_BY_GRAPH, and
# HAVE_DOT tags are set to YES then doxygen will generate a graph for each
# documented header file showing the documented files that directly or
# indirectly include this file.
 
INCLUDED_BY_GRAPH = YES
 
# If the CALL_GRAPH and HAVE_DOT tags are set to YES then doxygen will
# generate a call dependency graph for every global function or class method.
# Note that enabling this option will significantly increase the time of a run.
# So in most cases it will be better to enable call graphs for selected
# functions only using the \callgraph command.
 
CALL_GRAPH = NO
 
# If the GRAPHICAL_HIERARCHY and HAVE_DOT tags are set to YES then doxygen
# will graphical hierarchy of all classes instead of a textual one.
 
GRAPHICAL_HIERARCHY = YES
 
# The DOT_IMAGE_FORMAT tag can be used to set the image format of the images
# generated by dot. Possible values are png, jpg, or gif
# If left blank png will be used.
 
DOT_IMAGE_FORMAT = png
 
# The tag DOT_PATH can be used to specify the path where the dot tool can be
# found. If left blank, it is assumed the dot tool can be found on the path.
 
DOT_PATH =
 
# The DOTFILE_DIRS tag can be used to specify one or more directories that
# contain dot files that are included in the documentation (see the
# \dotfile command).
 
DOTFILE_DIRS =
 
# The MAX_DOT_GRAPH_WIDTH tag can be used to set the maximum allowed width
# (in pixels) of the graphs generated by dot. If a graph becomes larger than
# this value, doxygen will try to truncate the graph, so that it fits within
# the specified constraint. Beware that most browsers cannot cope with very
# large images.
 
MAX_DOT_GRAPH_WIDTH = 800
 
# The MAX_DOT_GRAPH_HEIGHT tag can be used to set the maximum allows height
# (in pixels) of the graphs generated by dot. If a graph becomes larger than
# this value, doxygen will try to truncate the graph, so that it fits within
# the specified constraint. Beware that most browsers cannot cope with very
# large images.
 
MAX_DOT_GRAPH_HEIGHT = 1024
 
# The MAX_DOT_GRAPH_DEPTH tag can be used to set the maximum depth of the
# graphs generated by dot. A depth value of 3 means that only nodes reachable
# from the root by following a path via at most 3 edges will be shown. Nodes that
# lay further from the root node will be omitted. Note that setting this option to
# 1 or 2 may greatly reduce the computation time needed for large code bases. Also
# note that a graph may be further truncated if the graph's image dimensions are
# not sufficient to fit the graph (see MAX_DOT_GRAPH_WIDTH and MAX_DOT_GRAPH_HEIGHT).
# If 0 is used for the depth value (the default), the graph is not depth-constrained.
 
MAX_DOT_GRAPH_DEPTH = 0
 
# If the GENERATE_LEGEND tag is set to YES (the default) Doxygen will
# generate a legend page explaining the meaning of the various boxes and
# arrows in the dot generated graphs.
 
GENERATE_LEGEND = YES
 
# If the DOT_CLEANUP tag is set to YES (the default) Doxygen will
# remove the intermediate dot files that are used to generate
# the various graphs.
 
DOT_CLEANUP = YES
 
#---------------------------------------------------------------------------
# Configuration::additions related to the search engine
#---------------------------------------------------------------------------
 
# The SEARCHENGINE tag specifies whether or not a search engine should be
# used. If set to NO the values of all tags below this one will be ignored.
 
SEARCHENGINE = NO
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: cvs-clean.pl
===================================================================
--- cvs-clean.pl (nonexistent)
+++ cvs-clean.pl (revision 598)
@@ -0,0 +1,87 @@
+#! /usr/bin/perl
+
+#
+# This script recursively (beginning with the current directory)
+# wipes out everything not registered in CVS.
+#
+# written by Oswald Buddenhagen <ossi@kde.org>
+# inspired by the "old" cvs-clean target from Makefile.common
+#
+# This file is free software in terms of the BSD license. That means
+# that you can do anything with it except removing this license or
+# the above copyright notice. There is NO WARRANTY of any kind.
+#
+
+sub rmrf()
+{
+ my $fn = shift;
+ lstat ($fn);
+ if (-d _) {
+ if (opendir (DIR, $fn)) {
+ for my $efn (grep (!/^\.\.?$/, readdir (DIR))) {
+ &rmrf ($fn."/".$efn);
+ }
+ closedir (DIR);
+ rmdir ($fn);
+ }
+ } else {
+ unlink ($fn);
+ }
+}
+
+sub newfiles()
+{
+ my ($indir, $incvs) = @_;
+ for my $n (keys (%$incvs)) { delete $$indir{$n} }
+ return sort (keys (%$indir));
+}
+
+sub cvsclean()
+{
+ my $dir = shift;
+ my (%dirsdir, %filesdir, %dirscvs, %filescvs);
+ my $dnam = $dir ? $dir : ".";
+ if (!opendir (DIR, $dnam)) {
+ print STDERR "Cannot enter \"".$dnam."\".\n";
+ return;
+ }
+ for my $fn (grep (!/^\.\.?$/, readdir (DIR))) {
+ if (-d $dir.$fn) {
+ $fn eq "CVS" or $dirsdir{$fn} = 1;
+ } else {
+ $filesdir{$fn} = 1;
+ }
+ }
+ closedir (DIR);
+ if (!open (FILE, "<".$dir."CVS/Entries")) {
+ print STDERR "No CVS information in \"".$dnam."\".\n";
+ return;
+ }
+ while (<FILE>) {
+ m%^D/([^/]+)/.*$% and $dirscvs{$1} = 1;
+ m%^/([^/]+)/.*$% and $filescvs{$1} = 1;
+ }
+ close (FILE);
+ if (open (FILE, "<".$dir."CVS/Entries.Log")) {
+ while (<FILE>) {
+ m%^A D/([^/]+)/.*$% and $dirscvs{$1} = 1;
+ m%^A /([^/]+)/.*$% and $filescvs{$1} = 1;
+ m%^R D/([^/]+)/.*$% and delete $dirscvs{$1};
+ m%^R /([^/]+)/.*$% and delete $filescvs{$1};
+ }
+ close (FILE);
+ }
+ for my $fn (&newfiles (\%filesdir, \%filescvs)) {
+ print ("F ".$dir.$fn."\n");
+ &rmrf ($dir.$fn);
+ }
+ for my $fn (&newfiles (\%dirsdir, \%dirscvs)) {
+ print ("D ".$dir.$fn."\n");
+ &rmrf ($dir.$fn);
+ }
+ for my $fn (sort (keys (%dirscvs))) {
+ &cvsclean ($dir.$fn."/");
+ }
+}
+
+&cvsclean ("");
/cvs-clean.pl
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: deps.am
===================================================================
--- deps.am (nonexistent)
+++ deps.am (revision 598)
@@ -0,0 +1,19 @@
+$(top_srcdir)/acinclude.m4: $(top_srcdir)/admin/acinclude.m4.in $(top_srcdir)/admin/libtool.m4.in $(top_srcdir)/admin/cvs.sh
+ @cd $(top_srcdir) && $(SHELL) admin/cvs.sh acinclude_m4
+
+$(top_srcdir)/configure.in: $(top_srcdir)/subdirs $(top_srcdir)/configure.files $(top_srcdir)/admin/cvs.sh
+ @cd $(top_srcdir) && $(SHELL) admin/cvs.sh configure_in
+
+$(top_srcdir)/configure.files: $(top_srcdir)/subdirs $(CONF_FILES)
+ @cd $(top_srcdir) && $(SHELL) admin/cvs.sh configure.files $(top_srcdir)/admin/cvs.sh
+
+$(top_srcdir)/Makefile.am: $(top_srcdir)/Makefile.am.in $(top_srcdir)/subdirs $(top_srcdir)/admin/cvs.sh
+ @cd $(top_srcdir) && $(SHELL) admin/cvs.sh Makefile_am
+
+$(top_srcdir)/subdirs: $(top_srcdir)/Makefile.am.in $(top_srcdir)/admin/cvs.sh
+ @cd $(top_srcdir) && $(SHELL) admin/cvs.sh subdirs
+
+# defining default rules for files that may not be present
+$(top_srcdir)/Makefile.am.in:
+$(CONF_FILES):
+
/deps.am
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: compile
===================================================================
--- compile (nonexistent)
+++ compile (revision 598)
@@ -0,0 +1,99 @@
+#! /bin/sh
+
+# Wrapper for compilers which do not understand `-c -o'.
+
+# Copyright 1999, 2000 Free Software Foundation, Inc.
+# Written by Tom Tromey <tromey@cygnus.com>.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+# As a special exception to the GNU General Public License, if you
+# distribute this file as part of a program that contains a
+# configuration script generated by Autoconf, you may include it under
+# the same distribution terms that you use for the rest of that program.
+
+# Usage:
+# compile PROGRAM [ARGS]...
+# `-o FOO.o' is removed from the args passed to the actual compile.
+
+prog=$1
+shift
+
+ofile=
+cfile=
+args=
+while test $# -gt 0; do
+ case "$1" in
+ -o)
+ # configure might choose to run compile as `compile cc -o foo foo.c'.
+ # So we do something ugly here.
+ ofile=$2
+ shift
+ case "$ofile" in
+ *.o | *.obj)
+ ;;
+ *)
+ args="$args -o $ofile"
+ ofile=
+ ;;
+ esac
+ ;;
+ *.c)
+ cfile=$1
+ args="$args $1"
+ ;;
+ *)
+ args="$args $1"
+ ;;
+ esac
+ shift
+done
+
+if test -z "$ofile" || test -z "$cfile"; then
+ # If no `-o' option was seen then we might have been invoked from a
+ # pattern rule where we don't need one. That is ok -- this is a
+ # normal compilation that the losing compiler can handle. If no
+ # `.c' file was seen then we are probably linking. That is also
+ # ok.
+ exec "$prog" $args
+fi
+
+# Name of file we expect compiler to create.
+cofile=`echo $cfile | sed -e 's|^.*/||' -e 's/\.c$/.o/'`
+
+# Create the lock directory.
+# Note: use `[/.-]' here to ensure that we don't use the same name
+# that we are using for the .o file. Also, base the name on the expected
+# object file name, since that is what matters with a parallel build.
+lockdir=`echo $cofile | sed -e 's|[/.-]|_|g'`.d
+while true; do
+ if mkdir $lockdir > /dev/null 2>&1; then
+ break
+ fi
+ sleep 1
+done
+# FIXME: race condition here if user kills between mkdir and trap.
+trap "rmdir $lockdir; exit 1" 1 2 15
+
+# Run the compile.
+"$prog" $args
+status=$?
+
+if test -f "$cofile"; then
+ mv "$cofile" "$ofile"
+fi
+
+rmdir $lockdir
+exit $status
/compile
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: bcheck.pl
===================================================================
--- bcheck.pl (nonexistent)
+++ bcheck.pl (revision 598)
@@ -0,0 +1,156 @@
+#!/usr/bin/perl -w
+
+use DB_File;
+use Fcntl ':flock';
+
+if (!defined($ARGV[0])) {
+ print "usage: requires .class dump as parameter!\n";
+ exit;
+}
+
+sub bailout
+{
+ untie %bcheckdb if(defined(%bcheckdb));
+
+ if(defined(MYLOCK)) {
+ flock MYLOCK, LOCK_UN;
+ close(MYLOCK);
+ }
+
+ print @_;
+ exit 5;
+}
+
+sub ask_user
+{
+ my ($dbkey, $dbchunk) = @_;
+
+ if (defined($ENV{"BCHECK_UPDATE"})) {
+ $bcheckdb{$dbkey} = $dbchunk;
+ return;
+ }
+
+ &bailout("BC problem detected") if (! -t STDIN);
+
+ print "(I)gnore / (Q)uit / (U)pdate: ";
+
+ my $key;
+ while(defined(read STDIN, $key, 1)) {
+ $key = lc($key);
+
+ print "got: >$key<\n";
+
+ return if ($key eq 'i');
+
+ &bailout("BC problem. aborted") if ($key eq 'q');
+
+ if ($key eq 'u') {
+ $bcheckdb{$dbkey} = $dbchunk;
+ return;
+ }
+ print "\n(I)gnore / (Q)uit / (U)pdate: ";
+ }
+}
+
+sub diff_chunk($$)
+{
+ my ($oldl, $newl) = @_;
+ my @old = split /^/m, $oldl;
+ my @new = split /^/m, $newl;
+ my $haschanges = 0;
+ my $max = $#old > $#new ? $#old : $#new;
+
+ die "whoops. key different" if ($old[0] ne $new[0]);
+
+ if ($#old != $#new) {
+ warn ("Structural difference.\n");
+ print @old;
+ print "-----------------------------------------------\n";
+ print @new;
+ $haschanges = 1;
+ return $haschanges;
+ }
+
+ print $old[0];
+
+ my ($class) = ($old[0] =~ /^(?:Class |Vtable for )(\S+)/);
+
+ my $c = 1;
+ while ($c < $max) {
+ my ($o, $n) = ($old[$c], $new[$c]);
+ chomp $o;
+ chomp $n;
+ $c++;
+ next if ($o eq $n);
+
+ if(defined($class) and $n =~ /^(\d+\s+)\w+(::\S+\s*.*)$/) {
+ next if ($n eq "$1$class$2");
+ }
+
+ $haschanges = 1;
+
+ print "-$o\n+$n\n\n";
+ }
+
+ return $haschanges;
+}
+
+local $dblock = $ENV{"HOME"} . "/bcheck.lock";
+my $dbfile = $ENV{"HOME"} . "/bcheck.db";
+my $cdump = $ARGV[0];
+
+die "file $cdump is not readable: $!" if (! -f $cdump);
+
+# make sure the advisory lock exists
+open(MYLOCK, ">$dblock");
+print MYLOCK "";
+
+flock MYLOCK, LOCK_EX;
+
+tie %bcheckdb, 'DB_File', $dbfile;
+
+my $chunk = "";
+
+open (IN, "<$cdump") or die "cannot open $cdump: $!";
+while (<IN>) {
+
+ chop;
+
+ s/0x[0-9a-fA-F]+/0x......../g;
+ s/base size=/size=/g;
+ s/base align=/align=/g;
+
+ $chunk .= $_ . "\n";
+
+ if(/^\s*$/) {
+ my @lines = split /^/m, $chunk;
+ my $key = $lines[0];
+ chomp $key;
+
+ if($key !~ /<anonymous struct>/ &&
+ $key !~ /<anonymous union>/) {
+ if(defined($bcheckdb{$key})) {
+ my $dbversion = $bcheckdb{$key};
+
+ if($dbversion ne $chunk) {
+ &ask_user($key, $chunk) if(&diff_chunk($dbversion, $chunk));
+ }
+ }
+ else {
+ $bcheckdb{$key} = $chunk;
+ print "NEW: $key\n";
+ }
+ }
+
+ $chunk = "";
+ next;
+ }
+
+}
+close(IN);
+
+untie %bcheckdb;
+flock MYLOCK, LOCK_UN;
+close(MYLOCK);
+
+exit 0;
/bcheck.pl
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: detect-autoconf.sh
===================================================================
--- detect-autoconf.sh (nonexistent)
+++ detect-autoconf.sh (revision 598)
@@ -0,0 +1,59 @@
+#! /bin/sh
+
+# Global variables...
+AUTOCONF="autoconf"
+AUTOHEADER="autoheader"
+AUTOM4TE="autom4te"
+AUTOMAKE="automake"
+ACLOCAL="aclocal"
+
+# Please add higher versions first. The last version number is the minimum
+# needed to compile KDE. Do not forget to include the name/version #
+# separator if one is present, e.g. -1.2 where - is the separator.
+KDE_AUTOCONF_VERS="-2.58 -2.57 257 -2.54 -2.53a -2.53 -2.52 -2.5x"
+KDE_AUTOMAKE_VERS="-1.7 17 -1.6"
+
+# We don't use variable here for remembering the type ... strings. Local
+# variables are not that portable, but we fear namespace issues with our
+# includer.
+checkAutoconf()
+{
+ for kde_autoconf_version in $KDE_AUTOCONF_VERS; do
+ if test -x "`$WHICH $AUTOCONF$kde_autoconf_version 2>/dev/null`"; then
+ AUTOCONF="`$WHICH $AUTOCONF$kde_autoconf_version`"
+ AUTOHEADER="`$WHICH $AUTOHEADER$kde_autoconf_version`"
+ AUTOM4TE="`$WHICH $AUTOM4TE$kde_autoconf_version`"
+ break
+ fi
+ done
+}
+
+checkAutomake ()
+{
+ for kde_automake_version in $KDE_AUTOMAKE_VERS; do
+ if test -x "`$WHICH $AUTOMAKE$kde_automake_version 2>/dev/null`"; then
+ AUTOMAKE="`$WHICH $AUTOMAKE$kde_automake_version`"
+ ACLOCAL="`$WHICH $ACLOCAL$kde_automake_version`"
+ break
+ fi
+ done
+
+ if test -n "$UNSERMAKE"; then
+ AUTOMAKE="$UNSERMAKE"
+ fi
+}
+
+checkWhich ()
+{
+ WHICH=""
+ for i in "type -p" "which" "type" ; do
+ T=`$i sh 2> /dev/null`
+ test -x "$T" && WHICH="$i" && break
+ done
+}
+
+checkWhich
+checkAutoconf
+checkAutomake
+
+export WHICH AUTOHEADER AUTOCONF AUTOM4TE AUTOMAKE ACLOCAL
/detect-autoconf.sh
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: nmcheck
===================================================================
--- nmcheck (nonexistent)
+++ nmcheck (revision 598)
@@ -0,0 +1,371 @@
+#!/usr/bin/perl -w
+
+# Check namespace cleanness of a library.
+# Allowed symbols are passed as arguments.
+# They may have trailing * = wildcard.
+# Wildcards may be also specified as *::* (e.g. K*::* for all KDE classes)
+# Symbols are listed as full function unmangled names without arguments,
+# e.g. 'foo bar* nspace::*' allows foo(), foo(int), bar(), barbar()
+# and all symbols in namespace/class nspace.
+# If an argument has comma in it, it's a filename of a file containing
+# allowed symbols, one per line.
+
+
+$thisProg = "$0"; # This programs name
+
+$library = "";
+$allowed_symbols = "";
+$debug = 0;
+$allowed_weak = "";
+$weak_specified = 0;
+
+while( defined( $ARGV[ 0 ] ))
+{
+ $_ = shift;
+ if( /^--verbose$|^-v$/ )
+ {
+ $debug = 1;
+ }
+ elsif( /^--help$|^-h$/ )
+ {
+ print STDOUT "Usage $thisProg [OPTION] ... library [allowed symbols] ...\n",
+ "\n",
+ "Check if the given library has only allowed public symbols.\n",
+ "\n",
+ " --allowweak=[symbol] allow only these weak symbols\n",
+ " -v, --verbose verbosely list files processed\n",
+ " -h, --help print this help, then exit\n";
+ exit 0;
+ }
+ elsif( /^--allowweak=(.*)$/ )
+ {
+ $allowed_weak .= " " . $1;
+ $weak_specified = 1;
+ }
+ elsif( /^--allowweak$/ ) # simply list all weak
+ {
+ $allowed_weak .= " ";
+ $weak_specified = 1;
+ }
+ elsif( /^--*/ )
+ {
+ die "Invalid argument!\n";
+ }
+ else
+ {
+ if( ! $library )
+ {
+ $library = $_;
+ }
+ else
+ {
+ $allowed_symbols .= " " . $_;
+ }
+ }
+}
+
+if( ! $weak_specified )
+{
+ $allowed_weak = "*";
+ # allow all weak symbols by default
+ # instances of templates and similar stuff - unfortunately includes also things from other libraries,
+ # so it cannot be on by default
+}
+
+print STDERR "library:" . $library . "\n" if $debug;
+print STDERR "allowed_symbols:" . $allowed_symbols . "\n" if $debug;
+print STDERR "allowed_weak:" . $allowed_weak . "\n" if $debug;
+
+$default_symbols = "_fini _init"; # system symbols
+# on my system, every .so has :
+# A _DYNAMIC
+# A _GLOBAL_OFFSET_TABLE_
+# A __bss_start
+# A _edata
+# A _end
+# T _fini
+# T _init
+# no need to list A symbols in $default_symbols
+
+print STDERR "default_symbols: " . $default_symbols . "\n" if $debug;
+
+print STDOUT "Namespace cleanness check for " . $library . " :\n";
+
+$lib_file = "";
+if( $library =~ /\.la$/ )
+{
+ # get the real library file from .la
+ open( FILEIN, $library ) || die "Couldn't open $! !\n";
+ while( $line = <FILEIN> )
+ {
+ if( $line =~ /library_names=\'([^ ]*).*/o )
+ {
+ $lib_file = $1;
+ }
+ }
+ close( FILEIN );
+ if( ! $lib_file )
+ {
+ print STDERR "Library file not found in .la file!\n";
+ exit 1;
+ }
+ my $libpath = $library;
+ $libpath =~ s%[^/]*$%%;
+ if( -e $libpath . ".libs/" . $lib_file )
+ {
+ $lib_file = $libpath . ".libs/" . $lib_file;
+ }
+ else
+ {
+ $lib_file = $libpath . $lib_file;
+ }
+}
+else
+{
+ $lib_file = $library;
+}
+
+print STDERR "libfile: ". $lib_file . "\n" if $debug;
+
+$allowed_symbols .= " " . $default_symbols;
+
+sub process_symbols($\@\%\@);
+
+@wildcards = ();
+%exacts = ();
+@regwildcards = ();
+process_symbols( $allowed_symbols, @wildcards, %exacts, @regwildcards );
+@weak_wildcards = ();
+%weak_exacts = ();
+@weak_regwildcards = ();
+process_symbols( $allowed_weak, @weak_wildcards, %weak_exacts, @weak_regwildcards );
+
+# grep is for stripping not exported symbols, which don't have address (=first column)
+$nm_command = "nm -BDCg " . $lib_file . " | grep -v '^ ' |";
+
+# TODO how portable is this nmcheck stuff?
+
+print STDERR "nm command:" . $nm_command . "\n" if $debug;
+
+open( FILEIN, $nm_command ) || die "nm command failed\n";
+
+my $exit_code = 0;
+
+while( $line = <FILEIN> )
+{
+ my $type;
+ my $symbol;
+ if( $line =~ /^[^ ]* (.) (.*)$/o )
+ {
+ $type = $1;
+ $symbol = $2;
+ }
+ else
+ {
+ die "Invalid line: " . $line . "\n";
+ }
+
+ print STDERR "Type: " . $type . " , symbol: " . $symbol . "\n" if $debug;
+ if( $type eq "A" )
+ { # these should be system symbols, so ignore them
+ next;
+ }
+
+ my $orig_symbol = $symbol;
+
+ if( $symbol =~ /\(anonymous namespace\)/o )
+ { # TODO tell to prefer named namespaces? (shorter symbols)
+ next;
+ }
+
+ # strip prefixes
+ # the :: appending is to make "CLASS::*" work also for "vtable for CLASS"
+ $symbol =~ s/^typeinfo for (.*)$/$1::/o;
+ $symbol =~ s/^typeinfo fn for (.*)$/$1::/o;
+ $symbol =~ s/^typeinfo name for (.*)$/$1::/o;
+ $symbol =~ s/^vtable for (.*)$/$1::/o;
+ $symbol =~ s/^guard variable for (.*)$/$1::/o;
+ $symbol =~ s/^reference temporary for (.*)$/$1::/o;
+ $symbol =~ s/^VTT for (.*)$/$1::/o;
+ $symbol =~ s/^virtual thunk \[[^\]]*\] to (.*)$/$1::/o;
+ $symbol =~ s/^non-virtual thunk \[[^\]]*\] to (.*)$/$1::/o;
+ $symbol =~ s/^covariant return thunk \[[^\]]*\] to (.*)$/$1::/o;
+ $symbol =~ s/^construction vtable thunk for (.*)$/$1::/o;
+ $symbol =~ s/^construction vtable for .*-in-(.*) [0-9]*$/$1::/o;
+
+ # templates seem to have also return types mangled in their name, and nm prints it too
+ # they have also template arguments in the symbol
+ # get rid of both of those
+ while( $symbol =~ /<.*>/o )
+ {
+ $symbol =~ s/<[^<>]*>//o; # strip innermost <>
+ }
+ if( $symbol !~ /operator\(\)/o )
+ {
+ $symbol =~ s/ ?\(.*\).*$//o; # strip () and all after it
+ }
+ else
+ {
+ $symbol =~ s/(^|:| )operator\(\) ?\(.*\).*$//o; # strip () and all after it
+ }
+ $symbol =~ s/\[.*\] *$//o; # strip [in-charge] etc.
+ if( $symbol =~ /(^|:| )operator /o )
+ {
+ $symbol =~ s/.* ([^\s]*)operator /$1/o; # strip everything before 'X::operator blah'
+ }
+ else
+ {
+ $symbol =~ s/.* ([^\s]+) *$/$1/o; # get last word (strip return type)
+ }
+
+ # print STDERR "Processed symbol: " . $symbol . "\n" if $debug;
+
+ my $found = 0;
+ if( $exacts{ $symbol } )
+ {
+ $found = 1;
+ }
+ if( ! $found )
+ {
+ for my $wild ( @wildcards )
+ {
+ if( index( $symbol, $wild ) == 0 )
+ {
+ $found = 1;
+ last;
+ }
+ }
+ }
+ if( ! $found )
+ {
+ for my $wild ( @regwildcards )
+ {
+ if( $symbol =~ /^$wild$/ )
+ {
+ $found = 1;
+ last;
+ }
+ }
+ }
+ if( ( ! $found ) && ( $type eq "W" || $type eq "V" ))
+ {
+ if( $weak_exacts{ $symbol } )
+ {
+ $found = 1;
+ }
+ if( ! $found )
+ {
+ for my $wild ( @weak_wildcards )
+ {
+ if( index( $symbol, $wild ) == 0 )
+ {
+ $found = 1;
+ last;
+ }
+ }
+ }
+ if( ! $found )
+ {
+ for my $wild ( @weak_regwildcards )
+ {
+ if( $symbol =~ /^$wild$/ )
+ {
+ $found = 1;
+ last;
+ }
+ }
+ }
+ }
+
+ if( ! $found )
+ {
+ print STDERR "Public symbol " . $orig_symbol . " is not allowed!\n";
+ $exit_code = 1;
+ }
+}
+
+close( FILEIN );
+
+print STDOUT $exit_code == 0 ? "OK\n" : "FAILED\n";
+
+exit $exit_code;
+
+sub process_symbols($\@\%\@)
+{
+ my $allowed_symbols = $_[ 0 ];
+ my $wildcards_ref = $_[ 1 ];
+ my $exacts_ref = $_[ 2 ];
+ my $regwildcards_ref = $_[ 3 ];
+
+ $allowed_symbols =~ s/^ *//o; # strip whitespace
+ $allowed_symbols =~ s/ *$//o;
+
+ if( $allowed_symbols eq "NONE" )
+ {
+ $allowed_symbols = "";
+ }
+
+ my @symbols1 = split( ' ', $allowed_symbols );
+ my $i = 0;
+ my @symbols2 = ();
+ while( defined( $symbols1[ $i ] ))
+ {
+ my $symbol = $symbols1[ $i ];
+ if( $symbol =~ /\./ ) # dot in name -> file
+ {
+ open( SYMIN, $symbol ) || die ( "Cannot open file " . $symbol . "!" );
+ while( $line = <SYMIN> )
+ {
+ $line =~ s/^\s*//o; # strip whitespace
+ $line =~ s/\s*$//o;
+ if( $line !~ /^$/o # empty line
+ && $line !~ /^\s*#/ ) # comment line starting with #
+ {
+ $symbols2[ $#symbols2 + 1 ] = $line;
+ }
+ }
+ close( SYMIN );
+ }
+ else
+ {
+ $symbols2[ $#symbols2 + 1 ] = $symbol;
+ }
+ $i++;
+ }
+ $i = 0;
+ while( defined( $symbols2[ $i ] ))
+ {
+ my $symbol = $symbols2[ $i ];
+ if( $symbol =~ /__/
+ || $symbol =~ /^_[A-Z]/ )
+ { # ISO C++ 2.10.2
+ die "Symbols containing a double underscore or beginning with an underscore and an upper-case letter are reserved!\n";
+ }
+ elsif( $symbol eq "main"
+ || $symbol eq "main*" )
+ {
+ die "Symbol main is not allowed!\n";
+ }
+ if( $symbol =~ /^([^\*]*)\*$/o # trailing * without any * before it
+ && $symbol !~ /operator\*$/o )
+ {
+ print STDERR "wildcard:" . $symbol . "\n" if $debug;
+ $wildcards_ref->[ $#{$wildcards_ref} + 1 ] = $1;
+ }
+ elsif( $symbol =~ /\*$/o
+ && ( $symbol =~ /\*::/o || $symbol =~ /::\*/o )
+ && $symbol !~ /^\*/o
+ && $symbol !~ /operator\*$/o )
+ {
+ print STDERR "regwildcard:" . $symbol . "\n" if $debug;
+ $symbol =~ s/\*/\.\*/go; # change * to .* (regexp)
+ $regwildcards_ref->[ $#{$regwildcards_ref} + 1 ] = $symbol;
+ }
+ else
+ {
+ print STDERR "exact:" . $symbol . "\n" if $debug;
+ $exacts_ref->{ $symbol } = 1;
+ }
+ $i++;
+ }
+}
/nmcheck
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: configure.in.bot.end
===================================================================
--- configure.in.bot.end (nonexistent)
+++ configure.in.bot.end (revision 598)
@@ -0,0 +1,30 @@
+# Check if KDE_SET_PREFIX was called, and --prefix was passed to configure
+if test -n "$kde_libs_prefix" -a -n "$given_prefix"; then
+ # And if so, warn when they don't match
+ if test "$kde_libs_prefix" != "$given_prefix"; then
+ # And if kde doesn't know about the prefix yet
+ echo ":"`kde-config --path exe`":" | grep ":$given_prefix/bin/:" 2>&1 >/dev/null
+ if test $? -ne 0; then
+ echo ""
+ echo "Warning: you chose to install this package in $given_prefix,"
+ echo "but KDE was found in $kde_libs_prefix."
+ echo "For this to work, you will need to tell KDE about the new prefix, by ensuring"
+ echo "that KDEDIRS contains it, e.g. export KDEDIRS=$given_prefix:$kde_libs_prefix"
+ echo "Then restart KDE."
+ echo ""
+ fi
+ fi
+fi
+
+if test "$all_tests" = "bad"; then
+ if test ! "$cache_file" = "/dev/null"; then
+ echo ""
+ echo "Please remove the file $cache_file after changing your setup"
+ echo "so that configure will find the changes next time."
+ echo ""
+ fi
+else
+ echo ""
+ echo "Good - your configure finished. Start make now"
+ echo ""
+fi
/configure.in.bot.end
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: Doxyfile.am
===================================================================
--- Doxyfile.am (nonexistent)
+++ Doxyfile.am (revision 598)
@@ -0,0 +1,179 @@
+## generate API documentation with doxygen
+apidox-am-yes:
+ @if test "$(subdir)" != "."; then \
+ $(mkinstalldirs) $(top_builddir)/apidocs/$(subdir) ;\
+ if test ! -x $(top_builddir)/apidocs/common; then \
+ if test -d $(top_srcdir)/doc/common; then \
+ common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
+ else \
+ common_dir=$(kde_libs_htmldir)/en/common ;\
+ fi ;\
+ $(LN_S) $$common_dir $(top_builddir)/apidocs/common; \
+ fi ;\
+ cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
+ echo "PROJECT_NAME = \"$(subdir) Library\"" >> Doxyfile; \
+ echo "PROJECT_NUMBER = \"Version $(VERSION)\"" >> Doxyfile; \
+ echo "INPUT = $(srcdir)" >> Doxyfile; \
+ echo "IMAGE_PATH = $(top_srcdir)/doc/api" >> Doxyfile ;\
+ echo "OUTPUT_DIRECTORY = $(top_builddir)/apidocs" >> Doxyfile; \
+ echo "HTML_OUTPUT = $(subdir)/html" >> Doxyfile; \
+ echo "HTML_HEADER = $(top_builddir)/apidocs/common/header.html" >> Doxyfile;\
+ echo "HTML_FOOTER = $(top_builddir)/apidocs/common/footer.html" >> Doxyfile;\
+ echo "HTML_STYLESHEET = $(top_builddir)/apidocs/common/doxygen.css" >> Doxyfile;\
+ echo "LATEX_OUTPUT = $(subdir)/latex" >> Doxyfile; \
+ echo "RTF_OUTPUT = $(subdir)/rtf" >> Doxyfile; \
+ echo "MAN_OUTPUT = $(subdir)/man" >> Doxyfile; \
+ echo "GENERATE_HTML = $(GENERATE_FLAG)" >> Doxyfile ;\
+ echo "GENERATE_MAN = $(GENERATE_FLAG)" >> Doxyfile ;\
+ echo "GENERATE_LATEX = $(GENERATE_FLAG)" >> Doxyfile ;\
+ if test -n "$(DOXYGEN_EXCLUDE)"; then \
+ patterns= ;\
+ dirs= ;\
+ for item in `echo "$(DOXYGEN_EXCLUDE)"`; do \
+ if test -d "$(srcdir)/$$item"; then \
+ dirs="$$dirs $(srcdir)/$$item/" ;\
+ else \
+ patterns="$$patterns $$item" ;\
+ fi ;\
+ done ;\
+ echo "EXCLUDE_PATTERNS += $$patterns" >> Doxyfile; \
+ echo "EXCLUDE += $$dirs" >> Doxyfile ;\
+ fi ;\
+ echo "TAGFILES = \\" >> Doxyfile; \
+ tags='$(DOXYGEN_REFERENCES) qt'; for tag in $$tags; do \
+ tagpath= ;\
+ path="../../$$tag" ;\
+ if test -f $(top_builddir)/apidocs/$$tag/$$tag.tag; then \
+ tagpath="$(top_builddir)/apidocs/$$tag/$$tag.tag" ;\
+ else \
+ tagpath=`ls -1 $(kde_htmldir)/en/*-apidocs/$$tag/$$tag.tag 2> /dev/null` ;\
+ if test -n "$$tagpath"; then \
+ path=`echo $$tagpath | sed -e "s,.*/\([^/]*-apidocs\)/$$tag/$$tag.tag,../../../\1/$$tag,"` ;\
+ fi ;\
+ fi ;\
+ if test "$$tag" = qt; then \
+ echo $$tagpath=$(QTDOCDIR) >> Doxyfile ;\
+ else if test -n "$$tagpath"; then \
+ echo "$$tagpath=$$path/html \\" >> Doxyfile ;\
+ fi ;\
+ fi ;\
+ done ;\
+ echo "GENERATE_TAGFILE = $(top_builddir)/apidocs/$(subdir)/`basename $(subdir)`.tag" >> Doxyfile ;\
+ echo "IGNORE_PREFIX = K" >> Doxyfile ;\
+ echo "HAVE_DOT = $(KDE_HAVE_DOT)" >> Doxyfile ;\
+ $(DOXYGEN) Doxyfile ;\
+ fi
+
+apidox-am-no:
+
+install-data-local: install-apidox
+
+## install API documentation
+install-apidox:
+ @if test "$(subdir)" != "."; then \
+ $(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html ; \
+ if test -f $(top_builddir)/apidocs/$(subdir)/$(subdir).tag; then \
+ echo $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
+ $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
+ fi; \
+ if test -d $(top_builddir)/apidocs/$(subdir)/html; then \
+ list=`ls $(top_builddir)/apidocs/$(subdir)/html`; \
+ echo "installing $(top_builddir)/apidocs/$(subdir)/html" ;\
+ for file in $$list; do \
+ $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/html/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html; \
+ done; \
+ fi; \
+ rm -f $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
+ $(LN_S) $(kde_libs_htmldir)/en/common $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
+ else\
+ if test -d $(top_builddir)/apidocs; then \
+ $(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs ;\
+ list=`cd $(top_builddir)/apidocs && ls -1`; \
+ echo "installing $(top_builddir)/apidocs/$$file" ;\
+ for file in $$list; do \
+ if test -f $(top_builddir)/apidocs/$$file; then \
+ $(INSTALL_DATA) $(top_builddir)/apidocs/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
+ fi; \
+ done ; fi; \
+ fi
+
+uninstall-local: uninstall-apidox
+
+## uninstall API documentation
+uninstall-apidox:
+ @if test "$(subdir)" != "."; then \
+ if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); then \
+ rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
+ fi\
+ else\
+ if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; then \
+ rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
+ fi\
+ fi
+
+apidox:
+ @if test "$(subdir)" != "."; then \
+ $(MAKE) apidox-am-@KDE_HAS_DOXYGEN@ ;\
+ else \
+ $(MAKE) apidox-am-toplevel-@KDE_HAS_DOXYGEN@ ;\
+ fi
+ @set fnord $(MAKEFLAGS); amf=$$2; if test -n '$(SUBDIRS)'; then \
+ list='$(SUBDIRS)'; \
+ for subdir in $$list; do \
+ if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
+ echo "Making apidox in $$subdir"; \
+ if test "$$subdir" != "."; then \
+ (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=no apidox) || exit 1; \
+ fi ; fi ;\
+ done; \
+ for subdir in $$list; do \
+ if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
+ echo "Making apidox in $$subdir"; \
+ if test "$$subdir" != "."; then \
+ (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=yes apidox) || exit 1; \
+ fi ; fi ;\
+ done; \
+ fi
+
+apidox-am-toplevel-no:
+apidox-am-toplevel-yes:
+ @echo "*** Creating API documentation main page"; \
+ cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
+ echo "PROJECT_NAME = \"$(DOXYGEN_PROJECT_NAME)\"" >> Doxyfile ; \
+ echo "PROJECT_NUMBER = \"$(DOXYGEN_PROJECT_NUMBER)\"" >> Doxyfile ; \
+ echo "INPUT = $(top_srcdir)" >> Doxyfile ; \
+ echo "OUTPUT_DIRECTORY = $(top_builddir)/apidocs" >> Doxyfile ; \
+ echo "FILE_PATTERNS = *.dox" >> Doxyfile ; \
+ echo "RECURSIVE = NO" >> Doxyfile ; \
+ echo "SOURCE_BROWSER = NO" >> Doxyfile ; \
+ echo "ALPHABETICAL_INDEX = NO" >> Doxyfile ; \
+ echo "HTML_OUTPUT = ." >> Doxyfile ; \
+ echo "HTML_HEADER = apidocs/common/mainheader.html" >> Doxyfile ; \
+ echo "HTML_FOOTER = apidocs/common/mainfooter.html" >> Doxyfile ; \
+ echo "HTML_STYLESHEET = apidocs/common/doxygen.css" >> Doxyfile ; \
+ echo "GENERATE_LATEX = NO" >> Doxyfile ; \
+ echo "GENERATE_RTF = NO" >> Doxyfile ; \
+ echo "GENERATE_MAN = NO" >> Doxyfile ; \
+ echo "GENERATE_XML = NO" >> Doxyfile ; \
+ echo "GENERATE_AUTOGEN_DEF = NO" >> Doxyfile ; \
+ echo "ENABLE_PREPROCESSING = NO" >> Doxyfile ; \
+ echo "CLASS_DIAGRAMS = NO" >> Doxyfile ; \
+ echo "HAVE_DOT = NO" >> Doxyfile ; \
+ echo "GENERATE_HTML = YES" >> Doxyfile ;\
+ $(mkinstalldirs) $(top_builddir)/apidocs ; \
+ rm -f $(top_builddir)/apidocs/common ; \
+ if test -d $(top_srcdir)/doc/common; then \
+ common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
+ else \
+ common_dir=$(kde_libs_htmldir)/en/common ;\
+ fi ;\
+ $(LN_S) $$common_dir $(top_builddir)/apidocs/common ;\
+ doxygen Doxyfile; \
+ rm -f Doxyfile
+
+.PHONY: apidox-am-yes apidox-am-no install-data-local install-apidox install-apidox uninstall-local uninstall-apidox uninstall-apidox apidox apidox-am-toplevel-no apidox-am-toplevel-yes
+
+
+# Local Variables:
+# mode: makefile
+# End:
/Doxyfile.am
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: cvs.sh
===================================================================
--- cvs.sh (nonexistent)
+++ cvs.sh (revision 598)
@@ -0,0 +1,669 @@
+#! /bin/sh
+#
+# cvs.sh
+#
+# This file contains support code from Makefile.common
+# It defines a shell function for each known target
+# and then does a case to call the correct function.
+
+call_and_fix_autoconf()
+{
+ $AUTOCONF || exit 1
+ if test -r configure.in.in ; then
+ perl -pi -e "print \"if test \\\"x\\\$with_fast_perl\\\" = \\\"xyes\\\"; then\
+ \\n perl -i.bak \\\$ac_aux_dir/conf.change.pl \\\$CONFIG_STATUS\
+ \\\\\\n || mv \\\$CONFIG_STATUS.bak \\\$CONFIG_STATUS\
+ \\n rm -f \\\$CONFIG_STATUS.bak\\nfi\
+ \\n\" if /^\\s*chmod\\s+.*\\+x\\s+.*CONFIG_STATUS/; s,^#line.*LINENO.*\$,/* \$& */, ;" configure
+ fi
+}
+
+strip_makefile()
+{
+ if test ! -f $makefile_wo; then
+ perl -e '$in=0; while ( <> ) { $in = 1 if ($_ =~ m/^if / ); print $_ unless ($in || $_ =~ m/^include /); $in = 0 if ($_ =~ m/^endif/); }' < $makefile_am > $makefile_wo
+ fi
+}
+
+check_autotool_versions()
+{
+required_autoconf_version="2.53 or newer"
+AUTOCONF_VERSION=`$AUTOCONF --version | head -n 1`
+case $AUTOCONF_VERSION in
+ Autoconf*2.5* | autoconf*2.5* ) : ;;
+ "" )
+ echo "*** AUTOCONF NOT FOUND!."
+ echo "*** KDE requires autoconf $required_autoconf_version"
+ exit 1
+ ;;
+ * )
+ echo "*** YOU'RE USING $AUTOCONF_VERSION."
+ echo "*** KDE requires autoconf $required_autoconf_version"
+ exit 1
+ ;;
+esac
+
+AUTOHEADER_VERSION=`$AUTOHEADER --version | head -n 1`
+case $AUTOHEADER_VERSION in
+ Autoconf*2.5* | autoheader*2.5* ) : ;;
+ "" )
+ echo "*** AUTOHEADER NOT FOUND!."
+ echo "*** KDE requires autoheader $required_autoconf_version"
+ exit 1
+ ;;
+ * )
+ echo "*** YOU'RE USING $AUTOHEADER_VERSION."
+ echo "*** KDE requires autoheader $required_autoconf_version"
+ exit 1
+ ;;
+esac
+
+AUTOMAKE_STRING=`$AUTOMAKE --version | head -n 1`
+required_automake_version="1.6.1 or newer"
+case $AUTOMAKE_STRING in
+ automake*1.5d* | automake*1.5* | automake*1.5-* )
+ echo "*** YOU'RE USING $AUTOMAKE_STRING."
+ echo "*** KDE requires automake $required_automake_version"
+ exit 1
+ ;;
+ automake*1.6.* | automake*1.7* | automake*1.8* | automake*1.9*) : ;;
+ "" )
+ echo "*** AUTOMAKE NOT FOUND!."
+ echo "*** KDE requires automake $required_automake_version"
+ exit 1
+ ;;
+ unsermake* ) :
+ echo "*** YOU'RE USING UNSERMAKE."
+ echo "*** GOOD LUCK!! :)"
+ ;;
+ * )
+ echo "*** YOU'RE USING $AUTOMAKE_STRING."
+ echo "*** KDE requires automake $required_automake_version"
+ exit 1
+ ;;
+esac
+unset required_automake_version
+}
+
+cvs()
+{
+check_autotool_versions
+acinclude_m4
+
+### Make new subdirs and configure.in.
+### The make calls could be optimized away here,
+### with a little thought.
+if test -r configure.in.in; then
+ rm -f configure.in
+ echo "*** Creating list of subdirectories"
+ create_subdirs
+
+ if test -r Makefile.am.in; then
+ echo "*** Creating Makefile.am"
+ if grep '\$(top_srcdir)/Makefile.am:' $makefile_am >/dev/null; then
+ strip_makefile
+ $MAKE -f $makefile_wo top_srcdir=. ./Makefile.am || exit 1
+ else
+ Makefile_am
+ fi
+ fi
+ configure_files
+ echo "*** Creating configure.in"
+ if grep '\$(top_srcdir)/configure.in:' $makefile_am >/dev/null; then
+ strip_makefile
+ $MAKE -f $makefile_wo top_srcdir=. ./configure.in || exit 1
+ else
+ configure_in
+ fi
+fi
+
+echo "*** Creating aclocal.m4"
+$ACLOCAL $ACLOCALFLAGS || exit 1
+echo "*** Creating configure"
+call_and_fix_autoconf
+
+if egrep "^AM_CONFIG_HEADER" configure.in >/dev/null 2>&1; then
+ echo "*** Creating config.h template"
+ $AUTOHEADER || exit 1
+fi
+
+echo "*** Creating Makefile templates"
+$AUTOMAKE || exit 1
+if test -z "$UNSERMAKE"; then
+ echo "*** Postprocessing Makefile templates"
+ perl -w admin/am_edit || exit 1
+fi
+
+if egrep "^cvs-local:" $makefile_am >/dev/null; then \
+ strip_makefile
+ $MAKE -f $makefile_wo cvs-local top_srcdir=. || exit 1
+fi
+
+echo "*** Creating date/time stamp"
+touch stamp-h.in
+
+echo "*** Finished"
+echo " Don't forget to run ./configure"
+echo " If you haven't done so in a while, run ./configure --help"
+}
+
+dist()
+{
+check_autotool_versions
+
+###
+### First build all of the files necessary to do just "make"
+###
+acinclude_m4
+if test -r configure.in.in; then
+ rm -f configure.in
+ create_subdirs
+
+ if test -r Makefile.am.in; then
+ if grep '\$(top_srcdir)/Makefile.am:' $makefile_am >/dev/null; then
+ strip_makefile
+ $MAKE -f $makefile_wo top_srcdir=. ./Makefile.am || exit 1
+ else
+ Makefile_am
+ fi
+ fi
+ configure_files
+ if grep '\$(top_srcdir)/configure.in:' $makefile_am >/dev/null; then
+ strip_makefile
+ $MAKE -f $makefile_wo top_srcdir=. ./configure.in || exit 1
+ else
+ configure_in
+ fi
+fi
+$ACLOCAL $ACLOCALFLAGS
+if egrep "^AM_CONFIG_HEADER" configure.in >/dev/null 2>&1; then
+ echo "*** Creating config.h template"
+ $AUTOHEADER || exit 1
+fi
+$AUTOMAKE --foreign
+perl -w admin/am_edit
+call_and_fix_autoconf
+touch stamp-h.in
+if grep "^cvs-local:" $makefile_am >/dev/null; then
+ strip_makefile
+ $MAKE -f $makefile_wo cvs-local top_srcdir=.
+fi
+
+###
+### Then make messages
+###
+if test -d po; then
+ LIST=`find ./po -name "*.po"`
+ for i in $LIST; do
+ file2=`echo $i | sed -e "s#\.po#\.gmo#"`
+ msgfmt -o $file2 $i || touch $file2
+ done
+fi
+if grep "^cvs-dist-local:" $makefile_am >/dev/null; then
+ strip_makefile
+ $MAKE -f $makefile_wo cvs-dist-local top_srcdir=.
+fi
+}
+
+subdir_dist()
+{
+$ACLOCAL $ACLOCALFLAGS
+$AUTOHEADER
+$AUTOMAKE
+perl -w ../admin/am_edit --path=../admin
+call_and_fix_autoconf
+touch stamp-h.in
+}
+
+configure_in()
+{
+rm -f configure.in configure.in.new
+kde_use_qt_param=
+test -f configure.files || { echo "need configure.files for configure.in"; exit 1; }
+list=`fgrep -v "configure.in.bot" < configure.files | fgrep -v "configure.in.mid"`
+: > configure.in.new
+for file in $list; do
+ echo "dnl =======================================================" >> configure.in.new
+ echo "dnl FILE: $file" >> configure.in.new
+ echo "dnl =======================================================" >> configure.in.new
+ echo "" >> configure.in.new
+ cat $file >> configure.in.new
+done
+echo "KDE_CREATE_SUBDIRSLIST" >> configure.in.new
+if test -f Makefile.am.in; then
+ subdirs=`cat subdirs`
+ for dir in $subdirs; do
+ vdir=`echo $dir | sed -e 's,[-+.@],_,g'`
+ echo "AM_CONDITIONAL($vdir""_SUBDIR_included, test \"x\$$vdir""_SUBDIR_included\" = xyes)" >> configure.in.new
+ if test -f "$dir/configure.in"; then
+ echo "if test \"x\$$vdir""_SUBDIR_included\" = xyes; then " >> configure.in.new
+ echo " AC_CONFIG_SUBDIRS($dir)" >> configure.in.new
+ echo "fi" >> configure.in.new
+ fi
+ done
+fi
+
+echo "AC_CONFIG_FILES([ Makefile ])" >> configure.in.new
+if test -n "$UNSERMAKE"; then
+ echo "AC_CONFIG_FILES([ Makefile.rules ])" >> configure.in.new
+ echo "AC_CONFIG_FILES([ Makefile.calls ])" >> configure.in.new
+fi
+
+if test -f inst-apps; then
+ topleveldirs=`cat inst-apps`
+else
+ topleveldirs=
+ for dir in `ls -1d * | sort`; do
+ if test "$dir" != "debian" && test -d $dir; then
+ topleveldirs="$topleveldirs $dir"
+ fi
+ done
+fi
+
+for topleveldir in $topleveldirs; do
+ if test -f $topleveldir/configure.in; then
+ continue
+ fi
+ if test -f $topleveldir/Makefile.am; then :; else
+ continue
+ fi
+
+ mfs=`find $topleveldir -name Makefile.am -print | fgrep -v "/." | \
+ sed -e 's#\./##; s#/Makefile.am$##' | sort | sed -e 's#$#/Makefile#'`
+ for i in $mfs; do
+ echo "AC_CONFIG_FILES([ $i ])" >> configure.in.new
+ if test -n "$UNSERMAKE"; then
+ echo "AC_CONFIG_FILES([ $i.rules ])" >> configure.in.new
+ echo "AC_CONFIG_FILES([ $i.calls ])" >> configure.in.new
+ fi
+ done
+done
+
+files=`cat configure.files`
+list=`egrep '^dnl AC_OUTPUT\(.*\)' $files | sed -e "s#^.*dnl AC_OUTPUT(\(.*\))#\1#"`
+for file in $list; do
+ echo "AC_CONFIG_FILES([ $file ])" >> configure.in.new
+done
+
+if test -n "$UNSERMAKE"; then
+ echo "AC_CONFIG_FILES([ MakeVars ])" >> configure.in.new
+fi
+
+midfiles=`cat configure.files | fgrep "configure.in.mid"`
+test -n "$midfiles" && cat $midfiles >> configure.in.new
+
+echo "AC_OUTPUT" >> configure.in.new
+modulename=
+if test -f configure.in.in; then
+ if head -n 2 configure.in.in | egrep "^#MIN_CONFIG\(.*\)$" > /dev/null; then
+ kde_use_qt_param=`cat configure.in.in | sed -n -e "s/#MIN_CONFIG(\(.*\))/\1/p"`
+ fi
+ if head -n 2 configure.in.in | egrep "^#MIN_CONFIG" > /dev/null; then
+ line=`grep "^AM_INIT_AUTOMAKE(" configure.in.in`
+ if test -n "$line"; then
+ modulename=`echo $line | sed -e "s#AM_INIT_AUTOMAKE(\([^,]*\),.*#\1#"`
+ VERSION=`echo $line | sed -e "s#AM_INIT_AUTOMAKE([^,]*, *\([^)]*\)).*#\1#"`
+ fi
+ sed -e "s#AM_INIT_AUTOMAKE([^@].*#dnl PACKAGE set before#" \
+ configure.in.new > configure.in && mv configure.in configure.in.new
+ fi
+fi
+if test -z "$VERSION" || test "$VERSION" = "@VERSION@"; then
+ VERSION="\"3.2.91\""
+fi
+if test -z "$modulename" || test "$modulename" = "@MODULENAME@"; then
+ modulename=`pwd`;
+ modulename=`basename $modulename`
+ esc_VERSION=`echo $VERSION | sed -e "s#[^.0-9a-zA-Z]##g"`
+ modulename=`echo $modulename | sed -e "s#-$esc_VERSION##"`
+
+fi
+if test -n "$kde_use_qt_param"; then
+ sed -e "s#^dnl KDE_USE_QT#KDE_USE_QT($kde_use_qt_param)#" \
+ configure.in.new > configure.in && mv configure.in configure.in.new
+fi
+sed -e "s#@MODULENAME@#$modulename#" configure.in.new |
+ sed -e "s#@VERSION@#$VERSION#" > configure.in
+botfiles=`cat configure.files | egrep "configure.in.bot"`
+test -n "$botfiles" && cat $botfiles >> configure.in
+cat $admindir/configure.in.bot.end >> configure.in
+rm -f configure.in.new
+}
+
+configure_files()
+{
+echo "*** Creating configure.files"
+admindir=NO
+for i in . .. ../.. ../../..; do
+ if test -x $i/admin; then admindir=$i/admin; break; fi
+done
+rm -f configure.files
+touch configure.files
+if test -f configure.in.in && head -n 2 configure.in.in | grep "^#MIN_CONFIG" > /dev/null; then
+ echo $admindir/configure.in.min >> configure.files
+fi
+test -f configure.in.in && echo configure.in.in >> configure.files
+# we collect files in the subdirs and do some sorting tricks, so subsubdirs come after subdirs
+if test -f inst-apps; then
+ inst=`cat inst-apps`
+ list=""
+ for i in $inst; do
+ list="$list `find $i/ -name "configure.in.in" -o -name "configure.in.bot" -o -name "configure.in.mid" | \
+ sed -e "s,/configure,/aaaconfigure," | sort | sed -e "s,/aaaconfigure,/configure,"`"
+ done
+else
+ list=`find . -name "configure.in.in" -o -name "configure.in.bot" -o -name "configure.in.mid" | \
+ sed -e "s,/configure,/aaaconfigure," | sort | sed -e "s,/aaaconfigure,/configure,"`
+fi
+for i in $list; do if test -f $i && test `dirname $i` != "." ; then
+ echo $i >> configure.files
+fi; done
+test -f configure.in.mid && echo configure.in.mid >> configure.files
+test -f configure.in.bot && echo configure.in.bot >> configure.files
+if test ! -s configure.files; then
+ echo "There are no files to build a configure. Please check your checkout."
+ exit 1
+fi
+}
+
+create_subdirs()
+{
+if grep '\$(top_srcdir)/subdirs:' $makefile_am >/dev/null; then
+ # as many modules contain rules to create subdirs without any
+ # dependencies make won't create it unless there is no file.
+ # so we check if that's a dummy rule or one that works
+ rm -f subdirs.cvs.sh.$$
+ if test -f subdirs; then
+ mv subdirs subdirs.cvs.sh.$$
+ fi
+ strip_makefile
+ $MAKE -f $makefile_wo top_srcdir=. ./subdirs || exit 1
+ if test -f subdirs.cvs.sh.$$; then
+ if test -s subdirs; then
+ rm subdirs.cvs.sh.$$
+ else
+ mv subdirs.cvs.sh.$$ subdirs
+ fi
+ fi
+else
+ subdirs
+fi
+}
+
+subdirs()
+{
+dirs=
+idirs=
+if test -f inst-apps; then
+ idirs=`cat inst-apps`
+else
+ idirs=`ls -1 | sort`
+fi
+
+compilefirst=`sed -ne 's#^COMPILE_FIRST[ ]*=[ ]*##p' $makefile_am | head -n 1`
+compilelast=`sed -ne 's#^COMPILE_LAST[ ]*=[ ]*##p' $makefile_am | head -n 1`
+for i in $idirs; do
+ if test -f $i/Makefile.am; then
+ case " $compilefirst $compilelast " in
+ *" $i "*) ;;
+ *) dirs="$dirs $i"
+ esac
+ fi
+done
+
+: > ./_SUBDIRS
+
+for d in $compilefirst; do
+ echo $d >> ./_SUBDIRS
+done
+
+(for d in $dirs; do
+ list=`sed -ne "s#^COMPILE_BEFORE_$d""[ ]*=[ ]*##p" $makefile_am | head -n 1`
+ for s in $list; do
+ echo $s $d
+ done
+ list=`sed -ne "s#^COMPILE_AFTER_$d""[ ]*=[ ]*##p" $makefile_am | head -n 1`
+ for s in $list; do
+ echo $d $s
+ done
+ echo $d $d
+done ) | tsort >> ./_SUBDIRS
+
+for d in $compilelast; do
+ echo $d >> ./_SUBDIRS
+done
+
+if test -r subdirs && cmp -s subdirs _SUBDIRS; then
+ rm -f _SUBDIRS
+fi
+test -r _SUBDIRS && mv _SUBDIRS subdirs || true
+}
+
+Makefile_am()
+{
+if test -f Makefile.am.in; then
+ compilefirst=`sed -ne 's#^COMPILE_FIRST[ ]*=[ ]*##p' $makefile_am | head -n 1`
+ compilelast=`sed -ne 's#^COMPILE_LAST[ ]*=[ ]*##p' $makefile_am | head -n 1`
+
+ idirs=
+ dirs=
+ if test -f inst-apps; then
+ idirs=`cat inst-apps`
+ else
+ idirs=`cat subdirs`
+ fi
+ for i in $idirs; do
+ case " $compilefirst $compilelast " in
+ *" $i "*) ;;
+ *) dirs="$dirs $i"
+ esac
+ done
+
+ adds=`fgrep '$(top_srcdir)/acinclude.m4:' Makefile.am.in | sed -e 's,^[^:]*: *,,; s,\$(top_srcdir)/,,g'`
+ if echo "$adds" | fgrep "*" >/dev/null ; then
+ adds=`ls -d -1 $adds 2>/dev/null`
+ fgrep -v '$(top_srcdir)/acinclude.m4:' Makefile.am.in > Makefile.am.in.adds
+ str='$(top_srcdir)/acinclude.m4:'
+ for add in $adds; do
+ str="$str \$(top_srcdir)/$add"
+ done
+ echo $str >> Makefile.am.in.adds
+ else
+ cat Makefile.am.in > Makefile.am.in.adds
+ fi
+
+ if test -n "$UNSERMAKE"; then
+ cat Makefile.am.in.adds > Makefile.am
+ topsubdirs=
+ for i in $compilefirst $dirs $compilelast; do
+ vari=`echo $i | sed -e "s,[-+],_,g"`
+ echo "if $vari""_SUBDIR_included" >> Makefile.am
+ echo "$vari""_SUBDIR=$i" >> Makefile.am
+ echo "endif" >> Makefile.am
+ topsubdirs="$topsubdirs \$($vari""_SUBDIR)"
+ done
+ echo "SUBDIRS=$topsubdirs" >> Makefile.am
+ else
+ cat Makefile.am.in.adds | \
+ sed -e 's,^\s*\(COMPILE_BEFORE.*\),# \1,' | \
+ sed -e 's,^\s*\(COMPILE_AFTER.*\),# \1,' > Makefile.am
+ echo "SUBDIRS="'$(TOPSUBDIRS)' >> Makefile.am
+ fi
+ rm Makefile.am.in.adds
+fi
+}
+
+acinclude_m4()
+{
+ echo "*** Creating acinclude.m4"
+ adds=
+ if grep '\$(top_srcdir)/acinclude.m4:' $makefile_am >/dev/null; then
+ strip_makefile
+ rm -f acinclude.m4
+ adds=`grep '\$(top_srcdir)/acinclude.m4:' $makefile_wo | sed -e 's,^[^:]*: *,,; s,\$(top_srcdir),.,g'`
+ if echo $adds | fgrep "*" >/dev/null ; then
+ adds=`ls -d -1 $adds 2>/dev/null`
+ else
+ $MAKE -f $makefile_wo top_srcdir=. ./acinclude.m4 || exit 1
+ fi
+ else
+ rm -f acinclude.m4
+ fi
+ # if it wasn't created up to now, then we do it better
+ if test ! -f acinclude.m4; then
+ cat admin/acinclude.m4.in admin/libtool.m4.in $adds > acinclude.m4
+ fi
+}
+
+cvs_clean()
+{
+if test -d CVS; then :; else
+ echo "You don't have a toplevel CVS directory."
+ echo "You most certainly didn't use cvs to get these sources."
+ echo "But this function depends on cvs's information."
+ exit 1
+fi
+perl $admindir/cvs-clean.pl
+}
+
+package_merge()
+{
+catalogs=$POFILES
+for cat in $catalogs; do
+ msgmerge -o $cat.new $cat $PACKAGE.pot
+ if test -s $cat.new; then
+ grep -v "\"POT-Creation" $cat.new > $cat.new.2
+ grep -v "\"POT-Creation" $cat >> $cat.new.1
+ if diff $cat.new.1 $cat.new.2; then
+ rm $cat.new
+ else
+ mv $cat.new $cat
+ fi
+ rm -f $cat.new.1 $cat.new.2
+ fi
+done
+}
+
+package_messages()
+{
+rm -rf po.backup
+mkdir po.backup
+
+for i in `ls -1 po/*.pot 2>/dev/null | sed -e "s#po/##"`; do
+ egrep -v '^#([^:]|$)' po/$i | egrep '^.*[^ ]+.*$' | grep -v "\"POT-Creation" > po.backup/$i
+ cat po/$i > po.backup/backup_$i
+ touch -r po/$i po.backup/backup_$i
+ rm po/$i
+done
+
+podir=${podir:-$PWD/po}
+files=`find . -name Makefile.am | xargs egrep -l '^messages:' `
+dirs=`for i in $files; do echo \`dirname $i\`; done`
+tmpname="$PWD/messages.log"
+if test -z "$EXTRACTRC"; then EXTRACTRC=extractrc ; fi
+if test -z "$PREPARETIPS"; then PREPARETIPS=preparetips ; fi
+export EXTRACTRC PREPARETIPS
+
+for subdir in $dirs; do
+ test -z "$VERBOSE" || echo "Making messages in $subdir"
+ (cd $subdir
+ if test -n "`grep -e '^messages:.*rc.cpp' Makefile.am`"; then
+ $EXTRACTRC *.rc *.ui *.kcfg > rc.cpp
+ else
+ candidates=`ls -1 *.rc *.ui *.kcfg 2>/dev/null`
+ if test -n "$candidates"; then
+ echo "$subdir has *.rc, *.ui or *.kcfg files, but not correct messages line"
+ fi
+ fi
+ if test -n "`find . -name \*.c\* -o -name \*.h\* | xargs grep -s KAboutData 2>/dev/null`"; then
+ echo -e 'i18n("_: NAME OF TRANSLATORS\\n"\n"Your names")\ni18n("_: EMAIL OF TRANSLATORS\\n"\n"Your emails")' > _translatorinfo.cpp
+ else echo " " > _translatorinfo.cpp
+ fi
+ perl -e '$mes=0; while (<STDIN>) { next if (/^(if\s|else\s|endif)/); if (/^messages:/) { $mes=1; print $_; next; } if ($mes) { if (/$\\(XGETTEXT\)/ && / -o/) { s/ -o \$\(podir\)/ _translatorinfo.cpp -o \$\(podir\)/ } print $_; } else { print $_; } }' < Makefile.am | egrep -v '^include ' > _transMakefile
+
+ kdepotpath=${includedir:-${KDEDIR:-`kde-config --prefix`}/include}/kde.pot
+
+ $MAKE -s -f _transMakefile podir=$podir EXTRACTRC="$EXTRACTRC" PREPARETIPS="$PREPARETIPS" \
+ XGETTEXT="${XGETTEXT:-xgettext} -C -ki18n -ktr2i18n -kI18N_NOOP -kaliasLocale -x $kdepotpath" messages
+ exit_code=$?
+ if test "$exit_code" != 0; then
+ echo "make exit code: $exit_code"
+ fi
+ ) 2>&1 | grep -v '^make\[1\]' > $tmpname
+ test -s $tmpname && { echo $subdir ; cat "$tmpname"; }
+ test -f $subdir/rc.cpp && rm -f $subdir/rc.cpp
+ rm -f $subdir/_translatorinfo.cpp
+ rm -f $subdir/_transMakefile
+done
+rm -f $tmpname
+for i in `ls -1 po.backup/*.pot 2>/dev/null | sed -e "s#po.backup/##" | egrep -v '^backup_'`; do
+ test -f po/$i || echo "disappeared: $i"
+done
+for i in `ls -1 po/*.pot 2>/dev/null | sed -e "s#po/##"`; do
+ sed -e 's,^"Content-Type: text/plain; charset=CHARSET\\n"$,"Content-Type: text/plain; charset=UTF-8\\n",' po/$i > po/$i.new && mv po/$i.new po/$i
+ msgmerge -q -o po/$i po/$i po/$i
+ egrep -v '^#([^:]|$)' po/$i | egrep '^.*[^ ]+.*$' | grep -v "\"POT-Creation" > temp.pot
+ if test -f po.backup/$i && test -n "`diff temp.pot po.backup/$i`"; then
+ echo "will update $i"
+ sed -e 's,^"Content-Type: text/plain; charset=CHARSET\\n"$,"Content-Type: text/plain; charset=UTF-8\\n",' po.backup/backup_$i > po/$i.new && mv po/$i.new po.backup/backup_$i
+ msgmerge -q po.backup/backup_$i po/$i > temp.pot
+ mv temp.pot po/$i
+ else
+ if test -f po.backup/backup_$i; then
+ test -z "$VERBOSE" || echo "I'm restoring $i"
+ mv po.backup/backup_$i po/$i
+ rm po.backup/$i
+ else
+ echo "will add $i"
+ fi
+ fi
+done
+rm -f temp.pot
+rm -rf po.backup
+}
+
+unset LC_ALL || :
+unset LANG || :
+unset LC_CTYPE || :
+unset LANGUAGE || :
+
+unset CDPATH || :
+admindir=`echo "$0" | sed 's%[\\/][^\\/][^\\/]*$%%'`
+test "x$admindir" = "x$0" && admindir=.
+
+test "x$MAKE" = x && MAKE=make
+makefile_am=Makefile.am
+makefile_wo=Makefile.am.wo
+if test -f Makefile.am.in; then
+ makefile_am=Makefile.am.in
+ makefile_wo=Makefile.am.in.wo
+ rm -f $makefile_wo
+fi
+
+# Suck in the AUTOCONF detection code
+. $admindir/detect-autoconf.sh
+
+###
+### Main
+###
+
+arg=`echo $1 | tr '\-.' __`
+case $arg in
+ cvs | dist | subdir_dist | configure_in | configure_files | subdirs | \
+ cvs_clean | package_merge | package_messages | Makefile_am | acinclude_m4 ) $arg ;;
+ configure ) call_and_fix_autoconf ;;
+ * ) echo "Usage: cvs.sh <target>"
+ echo "Target can be one of:"
+ echo " cvs cvs-clean dist"
+ echo " configure.in configure.files"
+ echo " package-merge package-messages"
+ echo ""
+ echo "Usage: anything but $1"
+ exit 1 ;;
+esac
+
+if test -f $makefile_wo; then
+ rm $makefile_wo
+fi
+
+exit 0
/cvs.sh
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: oldinclude.m4.in
===================================================================
--- oldinclude.m4.in (nonexistent)
+++ oldinclude.m4.in (revision 598)
@@ -0,0 +1,192 @@
+### -*- autoconf -*-
+
+dnl This file is part of the KDE libraries/packages
+dnl Copyright (C) 1997 Janos Farkas (chexum@shadow.banki.hu)
+dnl (C) 1997,98,99 Stephan Kulow (coolo@kde.org)
+
+dnl This file is free software; you can redistribute it and/or
+dnl modify it under the terms of the GNU Library General Public
+dnl License as published by the Free Software Foundation; either
+dnl version 2 of the License, or (at your option) any later version.
+
+dnl This library is distributed in the hope that it will be useful,
+dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
+dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+dnl Library General Public License for more details.
+
+dnl You should have received a copy of the GNU Library General Public License
+dnl along with this library; see the file COPYING.LIB. If not, write to
+dnl the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+dnl Boston, MA 02111-1307, USA.
+
+AC_DEFUN([KDE_CHECK_MICO],
+[
+AC_REQUIRE([KDE_CHECK_LIBDL])
+AC_REQUIRE([KDE_MISC_TESTS])
+AC_MSG_CHECKING(for MICO)
+
+if test -z "$MICODIR"; then
+ kde_micodir=/usr/local
+ else
+ kde_micodir="$MICODIR"
+fi
+
+AC_ARG_WITH(micodir,
+ [ --with-micodir=micodir where mico is installed ],
+ kde_micodir=$withval,
+ kde_micodir=$kde_micodir
+)
+
+AC_CACHE_VAL(kde_cv_mico_incdir,
+[
+ mico_incdirs="$kde_micodir/include /usr/include /usr/local/include /usr/local/include /opt/local/include $kde_extra_includes"
+AC_FIND_FILE(CORBA.h, $mico_incdirs, kde_cv_mico_incdir)
+
+])
+kde_micodir=`echo $kde_cv_mico_incdir | sed -e 's#/include##'`
+
+if test ! -r $kde_micodir/include/CORBA.h; then
+ AC_MSG_ERROR([No CORBA.h found, specify another micodir])
+fi
+
+AC_MSG_RESULT($kde_micodir)
+
+MICO_INCLUDES=-I$kde_micodir/include
+AC_SUBST(MICO_INCLUDES)
+MICO_LDFLAGS=-L$kde_micodir/lib
+AC_SUBST(MICO_LDFLAGS)
+micodir=$kde_micodir
+AC_SUBST(micodir)
+
+AC_MSG_CHECKING([for MICO version])
+AC_CACHE_VAL(kde_cv_mico_version,
+[
+AC_LANG_C
+cat >conftest.$ac_ext <<EOF
+#include <stdio.h>
+#include <mico/version.h>
+int main() {
+
+ printf("MICO_VERSION=%s\n",MICO_VERSION);
+ return (0);
+}
+EOF
+ac_compile='${CC-gcc} $CFLAGS $MICO_INCLUDES conftest.$ac_ext -o conftest'
+if AC_TRY_EVAL(ac_compile); then
+ if eval `./conftest 2>&5`; then
+ kde_cv_mico_version=$MICO_VERSION
+ else
+ AC_MSG_ERROR([your system is not able to execute a small application to
+ find MICO version! Check $kde_micodir/include/mico/version.h])
+ fi
+else
+ AC_MSG_ERROR([your system is not able to compile a small application to
+ find MICO version! Check $kde_micodir/include/mico/version.h])
+fi
+])
+
+dnl installed MICO version
+mico_v_maj=`echo $kde_cv_mico_version | sed -e 's/^\(.*\)\..*\..*$/\1/'`
+mico_v_mid=`echo $kde_cv_mico_version | sed -e 's/^.*\.\(.*\)\..*$/\1/'`
+mico_v_min=`echo $kde_cv_mico_version | sed -e 's/^.*\..*\.\(.*\)$/\1/'`
+
+if test "x$1" = "x"; then
+ req_version="2.3.0"
+else
+ req_version=$1
+fi
+
+dnl required MICO version
+req_v_maj=`echo $req_version | sed -e 's/^\(.*\)\..*\..*$/\1/'`
+req_v_mid=`echo $req_version | sed -e 's/^.*\.\(.*\)\..*$/\1/'`
+req_v_min=`echo $req_version | sed -e 's/^.*\..*\.\(.*\)$/\1/'`
+
+if test "$mico_v_maj" -lt "$req_v_maj" || \
+ ( test "$mico_v_maj" -eq "$req_v_maj" && \
+ test "$mico_v_mid" -lt "$req_v_mid" ) || \
+ ( test "$mico_v_mid" -eq "$req_v_mid" && \
+ test "$mico_v_min" -lt "$req_v_min" )
+
+then
+ AC_MSG_ERROR([found MICO version $kde_cv_mico_version but version $req_version \
+at least is required. You should upgrade MICO.])
+else
+ AC_MSG_RESULT([$kde_cv_mico_version (minimum version $req_version, ok)])
+fi
+
+LIBMICO="-lmico$kde_cv_mico_version $LIBCRYPT $LIBSOCKET $LIBDL"
+AC_SUBST(LIBMICO)
+if test -z "$IDL"; then
+ IDL='$(kde_bindir)/cuteidl'
+fi
+AC_SUBST(IDL)
+IDL_DEPENDENCIES='$(kde_includes)/CUTE.h'
+AC_SUBST(IDL_DEPENDENCIES)
+
+idldir="\$(includedir)/idl"
+AC_SUBST(idldir)
+
+])
+
+AC_DEFUN([KDE_CHECK_MINI_STL],
+[
+AC_REQUIRE([KDE_CHECK_MICO])
+
+AC_MSG_CHECKING(if we use mico's mini-STL)
+AC_CACHE_VAL(kde_cv_have_mini_stl,
+[
+AC_LANG_SAVE
+AC_LANG_CPLUSPLUS
+kde_save_cxxflags="$CXXFLAGS"
+CXXFLAGS="$CXXFLAGS $MICO_INCLUDES"
+AC_TRY_COMPILE(
+[
+#include <mico/config.h>
+],
+[
+#ifdef HAVE_MINI_STL
+#error "nothing"
+#endif
+],
+kde_cv_have_mini_stl=no,
+kde_cv_have_mini_stl=yes)
+CXXFLAGS="$kde_save_cxxflags"
+AC_LANG_RESTORE
+])
+
+if test "x$kde_cv_have_mini_stl" = "xyes"; then
+ AC_MSG_RESULT(yes)
+ $1
+else
+ AC_MSG_RESULT(no)
+ $2
+fi
+])
+
+])
+
+AC_DEFUN([KDE_CHECK_ANSI],
+[
+])
+
+AC_DEFUN([KDE_CHECK_INSURE],
+[
+ AC_ARG_ENABLE(insure, [ --enable-insure use insure++ for debugging [default=no]],
+ [
+ if test $enableval = "no"; dnl
+ then ac_use_insure="no"
+ else ac_use_insure="yes"
+ fi
+ ], [ac_use_insure="no"])
+
+ AC_MSG_CHECKING(if we will use Insure++ to debug)
+ AC_MSG_RESULT($ac_use_insure)
+ if test "$ac_use_insure" = "yes"; dnl
+ then CC="insure"; CXX="insure"; dnl CFLAGS="$CLAGS -fno-rtti -fno-exceptions "????
+ fi
+])
+
+AC_DEFUN([KDE_CHECK_NEWLIBS],
+[
+
+])
/oldinclude.m4.in
Property changes:
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property